<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCampaingBannerList ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCampaingBannerList
 * @subpackage Arrays
 */
class ArrayOfCampaingBannerList extends AbstractStructArrayBase
{
    /**
     * The CampaingBannerList
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CampaingBannerList[]
     */
    public $CampaingBannerList;
    /**
     * Constructor method for ArrayOfCampaingBannerList
     * @uses ArrayOfCampaingBannerList::setCampaingBannerList()
     * @param \StructType\CampaingBannerList[] $campaingBannerList
     */
    public function __construct(array $campaingBannerList = array())
    {
        $this
            ->setCampaingBannerList($campaingBannerList);
    }
    /**
     * Get CampaingBannerList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CampaingBannerList[]|null
     */
    public function getCampaingBannerList()
    {
        return isset($this->CampaingBannerList) ? $this->CampaingBannerList : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCampaingBannerList method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCampaingBannerList method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCampaingBannerListForArrayConstraintsFromSetCampaingBannerList(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfCampaingBannerListCampaingBannerListItem) {
            // validation for constraint: itemType
            if (!$arrayOfCampaingBannerListCampaingBannerListItem instanceof \StructType\CampaingBannerList) {
                $invalidValues[] = is_object($arrayOfCampaingBannerListCampaingBannerListItem) ? get_class($arrayOfCampaingBannerListCampaingBannerListItem) : sprintf('%s(%s)', gettype($arrayOfCampaingBannerListCampaingBannerListItem), var_export($arrayOfCampaingBannerListCampaingBannerListItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The CampaingBannerList property can only contain items of type \StructType\CampaingBannerList, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set CampaingBannerList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\CampaingBannerList[] $campaingBannerList
     * @return \ArrayType\ArrayOfCampaingBannerList
     */
    public function setCampaingBannerList(array $campaingBannerList = array())
    {
        // validation for constraint: array
        if ('' !== ($campaingBannerListArrayErrorMessage = self::validateCampaingBannerListForArrayConstraintsFromSetCampaingBannerList($campaingBannerList))) {
            throw new \InvalidArgumentException($campaingBannerListArrayErrorMessage, __LINE__);
        }
        if (is_null($campaingBannerList) || (is_array($campaingBannerList) && empty($campaingBannerList))) {
            unset($this->CampaingBannerList);
        } else {
            $this->CampaingBannerList = $campaingBannerList;
        }
        return $this;
    }
    /**
     * Add item to CampaingBannerList value
     * @throws \InvalidArgumentException
     * @param \StructType\CampaingBannerList $item
     * @return \ArrayType\ArrayOfCampaingBannerList
     */
    public function addToCampaingBannerList(\StructType\CampaingBannerList $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CampaingBannerList) {
            throw new \InvalidArgumentException(sprintf('The CampaingBannerList property can only contain items of type \StructType\CampaingBannerList, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->CampaingBannerList[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CampaingBannerList|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CampaingBannerList|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CampaingBannerList|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CampaingBannerList|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CampaingBannerList|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CampaingBannerList
     */
    public function getAttributeName()
    {
        return 'CampaingBannerList';
    }
}
