<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDegisimTalep ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDegisimTalep
 * @subpackage Arrays
 */
class ArrayOfDegisimTalep extends AbstractStructArrayBase
{
    /**
     * The DegisimTalep
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DegisimTalep[]
     */
    public $DegisimTalep;
    /**
     * Constructor method for ArrayOfDegisimTalep
     * @uses ArrayOfDegisimTalep::setDegisimTalep()
     * @param \StructType\DegisimTalep[] $degisimTalep
     */
    public function __construct(array $degisimTalep = array())
    {
        $this
            ->setDegisimTalep($degisimTalep);
    }
    /**
     * Get DegisimTalep value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DegisimTalep[]|null
     */
    public function getDegisimTalep()
    {
        return isset($this->DegisimTalep) ? $this->DegisimTalep : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDegisimTalep method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDegisimTalep method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDegisimTalepForArrayConstraintsFromSetDegisimTalep(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDegisimTalepDegisimTalepItem) {
            // validation for constraint: itemType
            if (!$arrayOfDegisimTalepDegisimTalepItem instanceof \StructType\DegisimTalep) {
                $invalidValues[] = is_object($arrayOfDegisimTalepDegisimTalepItem) ? get_class($arrayOfDegisimTalepDegisimTalepItem) : sprintf('%s(%s)', gettype($arrayOfDegisimTalepDegisimTalepItem), var_export($arrayOfDegisimTalepDegisimTalepItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DegisimTalep property can only contain items of type \StructType\DegisimTalep, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DegisimTalep value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DegisimTalep[] $degisimTalep
     * @return \ArrayType\ArrayOfDegisimTalep
     */
    public function setDegisimTalep(array $degisimTalep = array())
    {
        // validation for constraint: array
        if ('' !== ($degisimTalepArrayErrorMessage = self::validateDegisimTalepForArrayConstraintsFromSetDegisimTalep($degisimTalep))) {
            throw new \InvalidArgumentException($degisimTalepArrayErrorMessage, __LINE__);
        }
        if (is_null($degisimTalep) || (is_array($degisimTalep) && empty($degisimTalep))) {
            unset($this->DegisimTalep);
        } else {
            $this->DegisimTalep = $degisimTalep;
        }
        return $this;
    }
    /**
     * Add item to DegisimTalep value
     * @throws \InvalidArgumentException
     * @param \StructType\DegisimTalep $item
     * @return \ArrayType\ArrayOfDegisimTalep
     */
    public function addToDegisimTalep(\StructType\DegisimTalep $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DegisimTalep) {
            throw new \InvalidArgumentException(sprintf('The DegisimTalep property can only contain items of type \StructType\DegisimTalep, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DegisimTalep[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DegisimTalep|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DegisimTalep|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DegisimTalep|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DegisimTalep|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DegisimTalep|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DegisimTalep
     */
    public function getAttributeName()
    {
        return 'DegisimTalep';
    }
}
