<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDegisimTalepUrun ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDegisimTalepUrun
 * @subpackage Arrays
 */
class ArrayOfDegisimTalepUrun extends AbstractStructArrayBase
{
    /**
     * The DegisimTalepUrun
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DegisimTalepUrun[]
     */
    public $DegisimTalepUrun;
    /**
     * Constructor method for ArrayOfDegisimTalepUrun
     * @uses ArrayOfDegisimTalepUrun::setDegisimTalepUrun()
     * @param \StructType\DegisimTalepUrun[] $degisimTalepUrun
     */
    public function __construct(array $degisimTalepUrun = array())
    {
        $this
            ->setDegisimTalepUrun($degisimTalepUrun);
    }
    /**
     * Get DegisimTalepUrun value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DegisimTalepUrun[]|null
     */
    public function getDegisimTalepUrun()
    {
        return isset($this->DegisimTalepUrun) ? $this->DegisimTalepUrun : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDegisimTalepUrun method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDegisimTalepUrun method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDegisimTalepUrunForArrayConstraintsFromSetDegisimTalepUrun(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDegisimTalepUrunDegisimTalepUrunItem) {
            // validation for constraint: itemType
            if (!$arrayOfDegisimTalepUrunDegisimTalepUrunItem instanceof \StructType\DegisimTalepUrun) {
                $invalidValues[] = is_object($arrayOfDegisimTalepUrunDegisimTalepUrunItem) ? get_class($arrayOfDegisimTalepUrunDegisimTalepUrunItem) : sprintf('%s(%s)', gettype($arrayOfDegisimTalepUrunDegisimTalepUrunItem), var_export($arrayOfDegisimTalepUrunDegisimTalepUrunItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DegisimTalepUrun property can only contain items of type \StructType\DegisimTalepUrun, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DegisimTalepUrun value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DegisimTalepUrun[] $degisimTalepUrun
     * @return \ArrayType\ArrayOfDegisimTalepUrun
     */
    public function setDegisimTalepUrun(array $degisimTalepUrun = array())
    {
        // validation for constraint: array
        if ('' !== ($degisimTalepUrunArrayErrorMessage = self::validateDegisimTalepUrunForArrayConstraintsFromSetDegisimTalepUrun($degisimTalepUrun))) {
            throw new \InvalidArgumentException($degisimTalepUrunArrayErrorMessage, __LINE__);
        }
        if (is_null($degisimTalepUrun) || (is_array($degisimTalepUrun) && empty($degisimTalepUrun))) {
            unset($this->DegisimTalepUrun);
        } else {
            $this->DegisimTalepUrun = $degisimTalepUrun;
        }
        return $this;
    }
    /**
     * Add item to DegisimTalepUrun value
     * @throws \InvalidArgumentException
     * @param \StructType\DegisimTalepUrun $item
     * @return \ArrayType\ArrayOfDegisimTalepUrun
     */
    public function addToDegisimTalepUrun(\StructType\DegisimTalepUrun $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DegisimTalepUrun) {
            throw new \InvalidArgumentException(sprintf('The DegisimTalepUrun property can only contain items of type \StructType\DegisimTalepUrun, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DegisimTalepUrun[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DegisimTalepUrun|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DegisimTalepUrun|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DegisimTalepUrun|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DegisimTalepUrun|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DegisimTalepUrun|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DegisimTalepUrun
     */
    public function getAttributeName()
    {
        return 'DegisimTalepUrun';
    }
}
