<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDinamikFormData ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDinamikFormData
 * @subpackage Arrays
 */
class ArrayOfDinamikFormData extends AbstractStructArrayBase
{
    /**
     * The DinamikFormData
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DinamikFormData[]
     */
    public $DinamikFormData;
    /**
     * Constructor method for ArrayOfDinamikFormData
     * @uses ArrayOfDinamikFormData::setDinamikFormData()
     * @param \StructType\DinamikFormData[] $dinamikFormData
     */
    public function __construct(array $dinamikFormData = array())
    {
        $this
            ->setDinamikFormData($dinamikFormData);
    }
    /**
     * Get DinamikFormData value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DinamikFormData[]|null
     */
    public function getDinamikFormData()
    {
        return isset($this->DinamikFormData) ? $this->DinamikFormData : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDinamikFormData method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDinamikFormData method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDinamikFormDataForArrayConstraintsFromSetDinamikFormData(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDinamikFormDataDinamikFormDataItem) {
            // validation for constraint: itemType
            if (!$arrayOfDinamikFormDataDinamikFormDataItem instanceof \StructType\DinamikFormData) {
                $invalidValues[] = is_object($arrayOfDinamikFormDataDinamikFormDataItem) ? get_class($arrayOfDinamikFormDataDinamikFormDataItem) : sprintf('%s(%s)', gettype($arrayOfDinamikFormDataDinamikFormDataItem), var_export($arrayOfDinamikFormDataDinamikFormDataItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DinamikFormData property can only contain items of type \StructType\DinamikFormData, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DinamikFormData value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DinamikFormData[] $dinamikFormData
     * @return \ArrayType\ArrayOfDinamikFormData
     */
    public function setDinamikFormData(array $dinamikFormData = array())
    {
        // validation for constraint: array
        if ('' !== ($dinamikFormDataArrayErrorMessage = self::validateDinamikFormDataForArrayConstraintsFromSetDinamikFormData($dinamikFormData))) {
            throw new \InvalidArgumentException($dinamikFormDataArrayErrorMessage, __LINE__);
        }
        if (is_null($dinamikFormData) || (is_array($dinamikFormData) && empty($dinamikFormData))) {
            unset($this->DinamikFormData);
        } else {
            $this->DinamikFormData = $dinamikFormData;
        }
        return $this;
    }
    /**
     * Add item to DinamikFormData value
     * @throws \InvalidArgumentException
     * @param \StructType\DinamikFormData $item
     * @return \ArrayType\ArrayOfDinamikFormData
     */
    public function addToDinamikFormData(\StructType\DinamikFormData $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DinamikFormData) {
            throw new \InvalidArgumentException(sprintf('The DinamikFormData property can only contain items of type \StructType\DinamikFormData, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DinamikFormData[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DinamikFormData|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DinamikFormData|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DinamikFormData|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DinamikFormData|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DinamikFormData|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DinamikFormData
     */
    public function getAttributeName()
    {
        return 'DinamikFormData';
    }
}
