<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEntegrasyon ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEntegrasyon
 * @subpackage Arrays
 */
class ArrayOfEntegrasyon extends AbstractStructArrayBase
{
    /**
     * The Entegrasyon
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Entegrasyon[]
     */
    public $Entegrasyon;
    /**
     * Constructor method for ArrayOfEntegrasyon
     * @uses ArrayOfEntegrasyon::setEntegrasyon()
     * @param \StructType\Entegrasyon[] $entegrasyon
     */
    public function __construct(array $entegrasyon = array())
    {
        $this
            ->setEntegrasyon($entegrasyon);
    }
    /**
     * Get Entegrasyon value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Entegrasyon[]|null
     */
    public function getEntegrasyon()
    {
        return isset($this->Entegrasyon) ? $this->Entegrasyon : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEntegrasyon method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEntegrasyon method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEntegrasyonForArrayConstraintsFromSetEntegrasyon(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEntegrasyonEntegrasyonItem) {
            // validation for constraint: itemType
            if (!$arrayOfEntegrasyonEntegrasyonItem instanceof \StructType\Entegrasyon) {
                $invalidValues[] = is_object($arrayOfEntegrasyonEntegrasyonItem) ? get_class($arrayOfEntegrasyonEntegrasyonItem) : sprintf('%s(%s)', gettype($arrayOfEntegrasyonEntegrasyonItem), var_export($arrayOfEntegrasyonEntegrasyonItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Entegrasyon property can only contain items of type \StructType\Entegrasyon, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Entegrasyon value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Entegrasyon[] $entegrasyon
     * @return \ArrayType\ArrayOfEntegrasyon
     */
    public function setEntegrasyon(array $entegrasyon = array())
    {
        // validation for constraint: array
        if ('' !== ($entegrasyonArrayErrorMessage = self::validateEntegrasyonForArrayConstraintsFromSetEntegrasyon($entegrasyon))) {
            throw new \InvalidArgumentException($entegrasyonArrayErrorMessage, __LINE__);
        }
        if (is_null($entegrasyon) || (is_array($entegrasyon) && empty($entegrasyon))) {
            unset($this->Entegrasyon);
        } else {
            $this->Entegrasyon = $entegrasyon;
        }
        return $this;
    }
    /**
     * Add item to Entegrasyon value
     * @throws \InvalidArgumentException
     * @param \StructType\Entegrasyon $item
     * @return \ArrayType\ArrayOfEntegrasyon
     */
    public function addToEntegrasyon(\StructType\Entegrasyon $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Entegrasyon) {
            throw new \InvalidArgumentException(sprintf('The Entegrasyon property can only contain items of type \StructType\Entegrasyon, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Entegrasyon[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Entegrasyon|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Entegrasyon|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Entegrasyon|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Entegrasyon|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Entegrasyon|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Entegrasyon
     */
    public function getAttributeName()
    {
        return 'Entegrasyon';
    }
}
