<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfFormDataModel ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfFormDataModel
 * @subpackage Arrays
 */
class ArrayOfFormDataModel extends AbstractStructArrayBase
{
    /**
     * The FormDataModel
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FormDataModel[]
     */
    public $FormDataModel;
    /**
     * Constructor method for ArrayOfFormDataModel
     * @uses ArrayOfFormDataModel::setFormDataModel()
     * @param \StructType\FormDataModel[] $formDataModel
     */
    public function __construct(array $formDataModel = array())
    {
        $this
            ->setFormDataModel($formDataModel);
    }
    /**
     * Get FormDataModel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FormDataModel[]|null
     */
    public function getFormDataModel()
    {
        return isset($this->FormDataModel) ? $this->FormDataModel : null;
    }
    /**
     * This method is responsible for validating the values passed to the setFormDataModel method
     * This method is willingly generated in order to preserve the one-line inline validation within the setFormDataModel method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateFormDataModelForArrayConstraintsFromSetFormDataModel(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfFormDataModelFormDataModelItem) {
            // validation for constraint: itemType
            if (!$arrayOfFormDataModelFormDataModelItem instanceof \StructType\FormDataModel) {
                $invalidValues[] = is_object($arrayOfFormDataModelFormDataModelItem) ? get_class($arrayOfFormDataModelFormDataModelItem) : sprintf('%s(%s)', gettype($arrayOfFormDataModelFormDataModelItem), var_export($arrayOfFormDataModelFormDataModelItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The FormDataModel property can only contain items of type \StructType\FormDataModel, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set FormDataModel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\FormDataModel[] $formDataModel
     * @return \ArrayType\ArrayOfFormDataModel
     */
    public function setFormDataModel(array $formDataModel = array())
    {
        // validation for constraint: array
        if ('' !== ($formDataModelArrayErrorMessage = self::validateFormDataModelForArrayConstraintsFromSetFormDataModel($formDataModel))) {
            throw new \InvalidArgumentException($formDataModelArrayErrorMessage, __LINE__);
        }
        if (is_null($formDataModel) || (is_array($formDataModel) && empty($formDataModel))) {
            unset($this->FormDataModel);
        } else {
            $this->FormDataModel = $formDataModel;
        }
        return $this;
    }
    /**
     * Add item to FormDataModel value
     * @throws \InvalidArgumentException
     * @param \StructType\FormDataModel $item
     * @return \ArrayType\ArrayOfFormDataModel
     */
    public function addToFormDataModel(\StructType\FormDataModel $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\FormDataModel) {
            throw new \InvalidArgumentException(sprintf('The FormDataModel property can only contain items of type \StructType\FormDataModel, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->FormDataModel[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\FormDataModel|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\FormDataModel|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\FormDataModel|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\FormDataModel|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\FormDataModel|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string FormDataModel
     */
    public function getAttributeName()
    {
        return 'FormDataModel';
    }
}
