<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfIadeTalep ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfIadeTalep
 * @subpackage Arrays
 */
class ArrayOfIadeTalep extends AbstractStructArrayBase
{
    /**
     * The IadeTalep
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\IadeTalep[]
     */
    public $IadeTalep;
    /**
     * Constructor method for ArrayOfIadeTalep
     * @uses ArrayOfIadeTalep::setIadeTalep()
     * @param \StructType\IadeTalep[] $iadeTalep
     */
    public function __construct(array $iadeTalep = array())
    {
        $this
            ->setIadeTalep($iadeTalep);
    }
    /**
     * Get IadeTalep value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\IadeTalep[]|null
     */
    public function getIadeTalep()
    {
        return isset($this->IadeTalep) ? $this->IadeTalep : null;
    }
    /**
     * This method is responsible for validating the values passed to the setIadeTalep method
     * This method is willingly generated in order to preserve the one-line inline validation within the setIadeTalep method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateIadeTalepForArrayConstraintsFromSetIadeTalep(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfIadeTalepIadeTalepItem) {
            // validation for constraint: itemType
            if (!$arrayOfIadeTalepIadeTalepItem instanceof \StructType\IadeTalep) {
                $invalidValues[] = is_object($arrayOfIadeTalepIadeTalepItem) ? get_class($arrayOfIadeTalepIadeTalepItem) : sprintf('%s(%s)', gettype($arrayOfIadeTalepIadeTalepItem), var_export($arrayOfIadeTalepIadeTalepItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The IadeTalep property can only contain items of type \StructType\IadeTalep, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set IadeTalep value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\IadeTalep[] $iadeTalep
     * @return \ArrayType\ArrayOfIadeTalep
     */
    public function setIadeTalep(array $iadeTalep = array())
    {
        // validation for constraint: array
        if ('' !== ($iadeTalepArrayErrorMessage = self::validateIadeTalepForArrayConstraintsFromSetIadeTalep($iadeTalep))) {
            throw new \InvalidArgumentException($iadeTalepArrayErrorMessage, __LINE__);
        }
        if (is_null($iadeTalep) || (is_array($iadeTalep) && empty($iadeTalep))) {
            unset($this->IadeTalep);
        } else {
            $this->IadeTalep = $iadeTalep;
        }
        return $this;
    }
    /**
     * Add item to IadeTalep value
     * @throws \InvalidArgumentException
     * @param \StructType\IadeTalep $item
     * @return \ArrayType\ArrayOfIadeTalep
     */
    public function addToIadeTalep(\StructType\IadeTalep $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\IadeTalep) {
            throw new \InvalidArgumentException(sprintf('The IadeTalep property can only contain items of type \StructType\IadeTalep, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->IadeTalep[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\IadeTalep|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\IadeTalep|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\IadeTalep|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\IadeTalep|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\IadeTalep|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string IadeTalep
     */
    public function getAttributeName()
    {
        return 'IadeTalep';
    }
}
