<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfIadeTalepUrun ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfIadeTalepUrun
 * @subpackage Arrays
 */
class ArrayOfIadeTalepUrun extends AbstractStructArrayBase
{
    /**
     * The IadeTalepUrun
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\IadeTalepUrun[]
     */
    public $IadeTalepUrun;
    /**
     * Constructor method for ArrayOfIadeTalepUrun
     * @uses ArrayOfIadeTalepUrun::setIadeTalepUrun()
     * @param \StructType\IadeTalepUrun[] $iadeTalepUrun
     */
    public function __construct(array $iadeTalepUrun = array())
    {
        $this
            ->setIadeTalepUrun($iadeTalepUrun);
    }
    /**
     * Get IadeTalepUrun value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\IadeTalepUrun[]|null
     */
    public function getIadeTalepUrun()
    {
        return isset($this->IadeTalepUrun) ? $this->IadeTalepUrun : null;
    }
    /**
     * This method is responsible for validating the values passed to the setIadeTalepUrun method
     * This method is willingly generated in order to preserve the one-line inline validation within the setIadeTalepUrun method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateIadeTalepUrunForArrayConstraintsFromSetIadeTalepUrun(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfIadeTalepUrunIadeTalepUrunItem) {
            // validation for constraint: itemType
            if (!$arrayOfIadeTalepUrunIadeTalepUrunItem instanceof \StructType\IadeTalepUrun) {
                $invalidValues[] = is_object($arrayOfIadeTalepUrunIadeTalepUrunItem) ? get_class($arrayOfIadeTalepUrunIadeTalepUrunItem) : sprintf('%s(%s)', gettype($arrayOfIadeTalepUrunIadeTalepUrunItem), var_export($arrayOfIadeTalepUrunIadeTalepUrunItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The IadeTalepUrun property can only contain items of type \StructType\IadeTalepUrun, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set IadeTalepUrun value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\IadeTalepUrun[] $iadeTalepUrun
     * @return \ArrayType\ArrayOfIadeTalepUrun
     */
    public function setIadeTalepUrun(array $iadeTalepUrun = array())
    {
        // validation for constraint: array
        if ('' !== ($iadeTalepUrunArrayErrorMessage = self::validateIadeTalepUrunForArrayConstraintsFromSetIadeTalepUrun($iadeTalepUrun))) {
            throw new \InvalidArgumentException($iadeTalepUrunArrayErrorMessage, __LINE__);
        }
        if (is_null($iadeTalepUrun) || (is_array($iadeTalepUrun) && empty($iadeTalepUrun))) {
            unset($this->IadeTalepUrun);
        } else {
            $this->IadeTalepUrun = $iadeTalepUrun;
        }
        return $this;
    }
    /**
     * Add item to IadeTalepUrun value
     * @throws \InvalidArgumentException
     * @param \StructType\IadeTalepUrun $item
     * @return \ArrayType\ArrayOfIadeTalepUrun
     */
    public function addToIadeTalepUrun(\StructType\IadeTalepUrun $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\IadeTalepUrun) {
            throw new \InvalidArgumentException(sprintf('The IadeTalepUrun property can only contain items of type \StructType\IadeTalepUrun, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->IadeTalepUrun[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\IadeTalepUrun|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\IadeTalepUrun|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\IadeTalepUrun|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\IadeTalepUrun|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\IadeTalepUrun|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string IadeTalepUrun
     */
    public function getAttributeName()
    {
        return 'IadeTalepUrun';
    }
}
