<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfKargoDesiFiyat ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfKargoDesiFiyat
 * @subpackage Arrays
 */
class ArrayOfKargoDesiFiyat extends AbstractStructArrayBase
{
    /**
     * The KargoDesiFiyat
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\KargoDesiFiyat[]
     */
    public $KargoDesiFiyat;
    /**
     * Constructor method for ArrayOfKargoDesiFiyat
     * @uses ArrayOfKargoDesiFiyat::setKargoDesiFiyat()
     * @param \StructType\KargoDesiFiyat[] $kargoDesiFiyat
     */
    public function __construct(array $kargoDesiFiyat = array())
    {
        $this
            ->setKargoDesiFiyat($kargoDesiFiyat);
    }
    /**
     * Get KargoDesiFiyat value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\KargoDesiFiyat[]|null
     */
    public function getKargoDesiFiyat()
    {
        return isset($this->KargoDesiFiyat) ? $this->KargoDesiFiyat : null;
    }
    /**
     * This method is responsible for validating the values passed to the setKargoDesiFiyat method
     * This method is willingly generated in order to preserve the one-line inline validation within the setKargoDesiFiyat method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateKargoDesiFiyatForArrayConstraintsFromSetKargoDesiFiyat(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfKargoDesiFiyatKargoDesiFiyatItem) {
            // validation for constraint: itemType
            if (!$arrayOfKargoDesiFiyatKargoDesiFiyatItem instanceof \StructType\KargoDesiFiyat) {
                $invalidValues[] = is_object($arrayOfKargoDesiFiyatKargoDesiFiyatItem) ? get_class($arrayOfKargoDesiFiyatKargoDesiFiyatItem) : sprintf('%s(%s)', gettype($arrayOfKargoDesiFiyatKargoDesiFiyatItem), var_export($arrayOfKargoDesiFiyatKargoDesiFiyatItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The KargoDesiFiyat property can only contain items of type \StructType\KargoDesiFiyat, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set KargoDesiFiyat value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\KargoDesiFiyat[] $kargoDesiFiyat
     * @return \ArrayType\ArrayOfKargoDesiFiyat
     */
    public function setKargoDesiFiyat(array $kargoDesiFiyat = array())
    {
        // validation for constraint: array
        if ('' !== ($kargoDesiFiyatArrayErrorMessage = self::validateKargoDesiFiyatForArrayConstraintsFromSetKargoDesiFiyat($kargoDesiFiyat))) {
            throw new \InvalidArgumentException($kargoDesiFiyatArrayErrorMessage, __LINE__);
        }
        if (is_null($kargoDesiFiyat) || (is_array($kargoDesiFiyat) && empty($kargoDesiFiyat))) {
            unset($this->KargoDesiFiyat);
        } else {
            $this->KargoDesiFiyat = $kargoDesiFiyat;
        }
        return $this;
    }
    /**
     * Add item to KargoDesiFiyat value
     * @throws \InvalidArgumentException
     * @param \StructType\KargoDesiFiyat $item
     * @return \ArrayType\ArrayOfKargoDesiFiyat
     */
    public function addToKargoDesiFiyat(\StructType\KargoDesiFiyat $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\KargoDesiFiyat) {
            throw new \InvalidArgumentException(sprintf('The KargoDesiFiyat property can only contain items of type \StructType\KargoDesiFiyat, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->KargoDesiFiyat[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\KargoDesiFiyat|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\KargoDesiFiyat|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\KargoDesiFiyat|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\KargoDesiFiyat|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\KargoDesiFiyat|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string KargoDesiFiyat
     */
    public function getAttributeName()
    {
        return 'KargoDesiFiyat';
    }
}
