<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfKargoIl ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfKargoIl
 * @subpackage Arrays
 */
class ArrayOfKargoIl extends AbstractStructArrayBase
{
    /**
     * The KargoIl
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\KargoIl[]
     */
    public $KargoIl;
    /**
     * Constructor method for ArrayOfKargoIl
     * @uses ArrayOfKargoIl::setKargoIl()
     * @param \StructType\KargoIl[] $kargoIl
     */
    public function __construct(array $kargoIl = array())
    {
        $this
            ->setKargoIl($kargoIl);
    }
    /**
     * Get KargoIl value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\KargoIl[]|null
     */
    public function getKargoIl()
    {
        return isset($this->KargoIl) ? $this->KargoIl : null;
    }
    /**
     * This method is responsible for validating the values passed to the setKargoIl method
     * This method is willingly generated in order to preserve the one-line inline validation within the setKargoIl method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateKargoIlForArrayConstraintsFromSetKargoIl(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfKargoIlKargoIlItem) {
            // validation for constraint: itemType
            if (!$arrayOfKargoIlKargoIlItem instanceof \StructType\KargoIl) {
                $invalidValues[] = is_object($arrayOfKargoIlKargoIlItem) ? get_class($arrayOfKargoIlKargoIlItem) : sprintf('%s(%s)', gettype($arrayOfKargoIlKargoIlItem), var_export($arrayOfKargoIlKargoIlItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The KargoIl property can only contain items of type \StructType\KargoIl, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set KargoIl value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\KargoIl[] $kargoIl
     * @return \ArrayType\ArrayOfKargoIl
     */
    public function setKargoIl(array $kargoIl = array())
    {
        // validation for constraint: array
        if ('' !== ($kargoIlArrayErrorMessage = self::validateKargoIlForArrayConstraintsFromSetKargoIl($kargoIl))) {
            throw new \InvalidArgumentException($kargoIlArrayErrorMessage, __LINE__);
        }
        if (is_null($kargoIl) || (is_array($kargoIl) && empty($kargoIl))) {
            unset($this->KargoIl);
        } else {
            $this->KargoIl = $kargoIl;
        }
        return $this;
    }
    /**
     * Add item to KargoIl value
     * @throws \InvalidArgumentException
     * @param \StructType\KargoIl $item
     * @return \ArrayType\ArrayOfKargoIl
     */
    public function addToKargoIl(\StructType\KargoIl $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\KargoIl) {
            throw new \InvalidArgumentException(sprintf('The KargoIl property can only contain items of type \StructType\KargoIl, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->KargoIl[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\KargoIl|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\KargoIl|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\KargoIl|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\KargoIl|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\KargoIl|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string KargoIl
     */
    public function getAttributeName()
    {
        return 'KargoIl';
    }
}
