<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfKargoIlce ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfKargoIlce
 * @subpackage Arrays
 */
class ArrayOfKargoIlce extends AbstractStructArrayBase
{
    /**
     * The KargoIlce
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\KargoIlce[]
     */
    public $KargoIlce;
    /**
     * Constructor method for ArrayOfKargoIlce
     * @uses ArrayOfKargoIlce::setKargoIlce()
     * @param \StructType\KargoIlce[] $kargoIlce
     */
    public function __construct(array $kargoIlce = array())
    {
        $this
            ->setKargoIlce($kargoIlce);
    }
    /**
     * Get KargoIlce value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\KargoIlce[]|null
     */
    public function getKargoIlce()
    {
        return isset($this->KargoIlce) ? $this->KargoIlce : null;
    }
    /**
     * This method is responsible for validating the values passed to the setKargoIlce method
     * This method is willingly generated in order to preserve the one-line inline validation within the setKargoIlce method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateKargoIlceForArrayConstraintsFromSetKargoIlce(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfKargoIlceKargoIlceItem) {
            // validation for constraint: itemType
            if (!$arrayOfKargoIlceKargoIlceItem instanceof \StructType\KargoIlce) {
                $invalidValues[] = is_object($arrayOfKargoIlceKargoIlceItem) ? get_class($arrayOfKargoIlceKargoIlceItem) : sprintf('%s(%s)', gettype($arrayOfKargoIlceKargoIlceItem), var_export($arrayOfKargoIlceKargoIlceItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The KargoIlce property can only contain items of type \StructType\KargoIlce, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set KargoIlce value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\KargoIlce[] $kargoIlce
     * @return \ArrayType\ArrayOfKargoIlce
     */
    public function setKargoIlce(array $kargoIlce = array())
    {
        // validation for constraint: array
        if ('' !== ($kargoIlceArrayErrorMessage = self::validateKargoIlceForArrayConstraintsFromSetKargoIlce($kargoIlce))) {
            throw new \InvalidArgumentException($kargoIlceArrayErrorMessage, __LINE__);
        }
        if (is_null($kargoIlce) || (is_array($kargoIlce) && empty($kargoIlce))) {
            unset($this->KargoIlce);
        } else {
            $this->KargoIlce = $kargoIlce;
        }
        return $this;
    }
    /**
     * Add item to KargoIlce value
     * @throws \InvalidArgumentException
     * @param \StructType\KargoIlce $item
     * @return \ArrayType\ArrayOfKargoIlce
     */
    public function addToKargoIlce(\StructType\KargoIlce $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\KargoIlce) {
            throw new \InvalidArgumentException(sprintf('The KargoIlce property can only contain items of type \StructType\KargoIlce, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->KargoIlce[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\KargoIlce|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\KargoIlce|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\KargoIlce|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\KargoIlce|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\KargoIlce|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string KargoIlce
     */
    public function getAttributeName()
    {
        return 'KargoIlce';
    }
}
