<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfKargoUlke ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfKargoUlke
 * @subpackage Arrays
 */
class ArrayOfKargoUlke extends AbstractStructArrayBase
{
    /**
     * The KargoUlke
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\KargoUlke[]
     */
    public $KargoUlke;
    /**
     * Constructor method for ArrayOfKargoUlke
     * @uses ArrayOfKargoUlke::setKargoUlke()
     * @param \StructType\KargoUlke[] $kargoUlke
     */
    public function __construct(array $kargoUlke = array())
    {
        $this
            ->setKargoUlke($kargoUlke);
    }
    /**
     * Get KargoUlke value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\KargoUlke[]|null
     */
    public function getKargoUlke()
    {
        return isset($this->KargoUlke) ? $this->KargoUlke : null;
    }
    /**
     * This method is responsible for validating the values passed to the setKargoUlke method
     * This method is willingly generated in order to preserve the one-line inline validation within the setKargoUlke method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateKargoUlkeForArrayConstraintsFromSetKargoUlke(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfKargoUlkeKargoUlkeItem) {
            // validation for constraint: itemType
            if (!$arrayOfKargoUlkeKargoUlkeItem instanceof \StructType\KargoUlke) {
                $invalidValues[] = is_object($arrayOfKargoUlkeKargoUlkeItem) ? get_class($arrayOfKargoUlkeKargoUlkeItem) : sprintf('%s(%s)', gettype($arrayOfKargoUlkeKargoUlkeItem), var_export($arrayOfKargoUlkeKargoUlkeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The KargoUlke property can only contain items of type \StructType\KargoUlke, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set KargoUlke value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\KargoUlke[] $kargoUlke
     * @return \ArrayType\ArrayOfKargoUlke
     */
    public function setKargoUlke(array $kargoUlke = array())
    {
        // validation for constraint: array
        if ('' !== ($kargoUlkeArrayErrorMessage = self::validateKargoUlkeForArrayConstraintsFromSetKargoUlke($kargoUlke))) {
            throw new \InvalidArgumentException($kargoUlkeArrayErrorMessage, __LINE__);
        }
        if (is_null($kargoUlke) || (is_array($kargoUlke) && empty($kargoUlke))) {
            unset($this->KargoUlke);
        } else {
            $this->KargoUlke = $kargoUlke;
        }
        return $this;
    }
    /**
     * Add item to KargoUlke value
     * @throws \InvalidArgumentException
     * @param \StructType\KargoUlke $item
     * @return \ArrayType\ArrayOfKargoUlke
     */
    public function addToKargoUlke(\StructType\KargoUlke $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\KargoUlke) {
            throw new \InvalidArgumentException(sprintf('The KargoUlke property can only contain items of type \StructType\KargoUlke, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->KargoUlke[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\KargoUlke|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\KargoUlke|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\KargoUlke|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\KargoUlke|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\KargoUlke|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string KargoUlke
     */
    public function getAttributeName()
    {
        return 'KargoUlke';
    }
}
