<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfServisMusteriCevap ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfServisMusteriCevap
 * @subpackage Arrays
 */
class ArrayOfServisMusteriCevap extends AbstractStructArrayBase
{
    /**
     * The ServisMusteriCevap
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ServisMusteriCevap[]
     */
    public $ServisMusteriCevap;
    /**
     * Constructor method for ArrayOfServisMusteriCevap
     * @uses ArrayOfServisMusteriCevap::setServisMusteriCevap()
     * @param \StructType\ServisMusteriCevap[] $servisMusteriCevap
     */
    public function __construct(array $servisMusteriCevap = array())
    {
        $this
            ->setServisMusteriCevap($servisMusteriCevap);
    }
    /**
     * Get ServisMusteriCevap value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ServisMusteriCevap[]|null
     */
    public function getServisMusteriCevap()
    {
        return isset($this->ServisMusteriCevap) ? $this->ServisMusteriCevap : null;
    }
    /**
     * This method is responsible for validating the values passed to the setServisMusteriCevap method
     * This method is willingly generated in order to preserve the one-line inline validation within the setServisMusteriCevap method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateServisMusteriCevapForArrayConstraintsFromSetServisMusteriCevap(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfServisMusteriCevapServisMusteriCevapItem) {
            // validation for constraint: itemType
            if (!$arrayOfServisMusteriCevapServisMusteriCevapItem instanceof \StructType\ServisMusteriCevap) {
                $invalidValues[] = is_object($arrayOfServisMusteriCevapServisMusteriCevapItem) ? get_class($arrayOfServisMusteriCevapServisMusteriCevapItem) : sprintf('%s(%s)', gettype($arrayOfServisMusteriCevapServisMusteriCevapItem), var_export($arrayOfServisMusteriCevapServisMusteriCevapItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ServisMusteriCevap property can only contain items of type \StructType\ServisMusteriCevap, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ServisMusteriCevap value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ServisMusteriCevap[] $servisMusteriCevap
     * @return \ArrayType\ArrayOfServisMusteriCevap
     */
    public function setServisMusteriCevap(array $servisMusteriCevap = array())
    {
        // validation for constraint: array
        if ('' !== ($servisMusteriCevapArrayErrorMessage = self::validateServisMusteriCevapForArrayConstraintsFromSetServisMusteriCevap($servisMusteriCevap))) {
            throw new \InvalidArgumentException($servisMusteriCevapArrayErrorMessage, __LINE__);
        }
        if (is_null($servisMusteriCevap) || (is_array($servisMusteriCevap) && empty($servisMusteriCevap))) {
            unset($this->ServisMusteriCevap);
        } else {
            $this->ServisMusteriCevap = $servisMusteriCevap;
        }
        return $this;
    }
    /**
     * Add item to ServisMusteriCevap value
     * @throws \InvalidArgumentException
     * @param \StructType\ServisMusteriCevap $item
     * @return \ArrayType\ArrayOfServisMusteriCevap
     */
    public function addToServisMusteriCevap(\StructType\ServisMusteriCevap $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ServisMusteriCevap) {
            throw new \InvalidArgumentException(sprintf('The ServisMusteriCevap property can only contain items of type \StructType\ServisMusteriCevap, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ServisMusteriCevap[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ServisMusteriCevap|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ServisMusteriCevap|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ServisMusteriCevap|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ServisMusteriCevap|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ServisMusteriCevap|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ServisMusteriCevap
     */
    public function getAttributeName()
    {
        return 'ServisMusteriCevap';
    }
}
