<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfServisMusteriTalep ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfServisMusteriTalep
 * @subpackage Arrays
 */
class ArrayOfServisMusteriTalep extends AbstractStructArrayBase
{
    /**
     * The ServisMusteriTalep
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ServisMusteriTalep[]
     */
    public $ServisMusteriTalep;
    /**
     * Constructor method for ArrayOfServisMusteriTalep
     * @uses ArrayOfServisMusteriTalep::setServisMusteriTalep()
     * @param \StructType\ServisMusteriTalep[] $servisMusteriTalep
     */
    public function __construct(array $servisMusteriTalep = array())
    {
        $this
            ->setServisMusteriTalep($servisMusteriTalep);
    }
    /**
     * Get ServisMusteriTalep value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ServisMusteriTalep[]|null
     */
    public function getServisMusteriTalep()
    {
        return isset($this->ServisMusteriTalep) ? $this->ServisMusteriTalep : null;
    }
    /**
     * This method is responsible for validating the values passed to the setServisMusteriTalep method
     * This method is willingly generated in order to preserve the one-line inline validation within the setServisMusteriTalep method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateServisMusteriTalepForArrayConstraintsFromSetServisMusteriTalep(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfServisMusteriTalepServisMusteriTalepItem) {
            // validation for constraint: itemType
            if (!$arrayOfServisMusteriTalepServisMusteriTalepItem instanceof \StructType\ServisMusteriTalep) {
                $invalidValues[] = is_object($arrayOfServisMusteriTalepServisMusteriTalepItem) ? get_class($arrayOfServisMusteriTalepServisMusteriTalepItem) : sprintf('%s(%s)', gettype($arrayOfServisMusteriTalepServisMusteriTalepItem), var_export($arrayOfServisMusteriTalepServisMusteriTalepItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ServisMusteriTalep property can only contain items of type \StructType\ServisMusteriTalep, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ServisMusteriTalep value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ServisMusteriTalep[] $servisMusteriTalep
     * @return \ArrayType\ArrayOfServisMusteriTalep
     */
    public function setServisMusteriTalep(array $servisMusteriTalep = array())
    {
        // validation for constraint: array
        if ('' !== ($servisMusteriTalepArrayErrorMessage = self::validateServisMusteriTalepForArrayConstraintsFromSetServisMusteriTalep($servisMusteriTalep))) {
            throw new \InvalidArgumentException($servisMusteriTalepArrayErrorMessage, __LINE__);
        }
        if (is_null($servisMusteriTalep) || (is_array($servisMusteriTalep) && empty($servisMusteriTalep))) {
            unset($this->ServisMusteriTalep);
        } else {
            $this->ServisMusteriTalep = $servisMusteriTalep;
        }
        return $this;
    }
    /**
     * Add item to ServisMusteriTalep value
     * @throws \InvalidArgumentException
     * @param \StructType\ServisMusteriTalep $item
     * @return \ArrayType\ArrayOfServisMusteriTalep
     */
    public function addToServisMusteriTalep(\StructType\ServisMusteriTalep $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ServisMusteriTalep) {
            throw new \InvalidArgumentException(sprintf('The ServisMusteriTalep property can only contain items of type \StructType\ServisMusteriTalep, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ServisMusteriTalep[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ServisMusteriTalep|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ServisMusteriTalep|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ServisMusteriTalep|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ServisMusteriTalep|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ServisMusteriTalep|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ServisMusteriTalep
     */
    public function getAttributeName()
    {
        return 'ServisMusteriTalep';
    }
}
