<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfServisSupportTicketSubject ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfServisSupportTicketSubject
 * @subpackage Arrays
 */
class ArrayOfServisSupportTicketSubject extends AbstractStructArrayBase
{
    /**
     * The ServisSupportTicketSubject
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ServisSupportTicketSubject[]
     */
    public $ServisSupportTicketSubject;
    /**
     * Constructor method for ArrayOfServisSupportTicketSubject
     * @uses ArrayOfServisSupportTicketSubject::setServisSupportTicketSubject()
     * @param \StructType\ServisSupportTicketSubject[] $servisSupportTicketSubject
     */
    public function __construct(array $servisSupportTicketSubject = array())
    {
        $this
            ->setServisSupportTicketSubject($servisSupportTicketSubject);
    }
    /**
     * Get ServisSupportTicketSubject value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ServisSupportTicketSubject[]|null
     */
    public function getServisSupportTicketSubject()
    {
        return isset($this->ServisSupportTicketSubject) ? $this->ServisSupportTicketSubject : null;
    }
    /**
     * This method is responsible for validating the values passed to the setServisSupportTicketSubject method
     * This method is willingly generated in order to preserve the one-line inline validation within the setServisSupportTicketSubject method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateServisSupportTicketSubjectForArrayConstraintsFromSetServisSupportTicketSubject(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfServisSupportTicketSubjectServisSupportTicketSubjectItem) {
            // validation for constraint: itemType
            if (!$arrayOfServisSupportTicketSubjectServisSupportTicketSubjectItem instanceof \StructType\ServisSupportTicketSubject) {
                $invalidValues[] = is_object($arrayOfServisSupportTicketSubjectServisSupportTicketSubjectItem) ? get_class($arrayOfServisSupportTicketSubjectServisSupportTicketSubjectItem) : sprintf('%s(%s)', gettype($arrayOfServisSupportTicketSubjectServisSupportTicketSubjectItem), var_export($arrayOfServisSupportTicketSubjectServisSupportTicketSubjectItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ServisSupportTicketSubject property can only contain items of type \StructType\ServisSupportTicketSubject, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ServisSupportTicketSubject value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ServisSupportTicketSubject[] $servisSupportTicketSubject
     * @return \ArrayType\ArrayOfServisSupportTicketSubject
     */
    public function setServisSupportTicketSubject(array $servisSupportTicketSubject = array())
    {
        // validation for constraint: array
        if ('' !== ($servisSupportTicketSubjectArrayErrorMessage = self::validateServisSupportTicketSubjectForArrayConstraintsFromSetServisSupportTicketSubject($servisSupportTicketSubject))) {
            throw new \InvalidArgumentException($servisSupportTicketSubjectArrayErrorMessage, __LINE__);
        }
        if (is_null($servisSupportTicketSubject) || (is_array($servisSupportTicketSubject) && empty($servisSupportTicketSubject))) {
            unset($this->ServisSupportTicketSubject);
        } else {
            $this->ServisSupportTicketSubject = $servisSupportTicketSubject;
        }
        return $this;
    }
    /**
     * Add item to ServisSupportTicketSubject value
     * @throws \InvalidArgumentException
     * @param \StructType\ServisSupportTicketSubject $item
     * @return \ArrayType\ArrayOfServisSupportTicketSubject
     */
    public function addToServisSupportTicketSubject(\StructType\ServisSupportTicketSubject $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ServisSupportTicketSubject) {
            throw new \InvalidArgumentException(sprintf('The ServisSupportTicketSubject property can only contain items of type \StructType\ServisSupportTicketSubject, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ServisSupportTicketSubject[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ServisSupportTicketSubject|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ServisSupportTicketSubject|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ServisSupportTicketSubject|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ServisSupportTicketSubject|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ServisSupportTicketSubject|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ServisSupportTicketSubject
     */
    public function getAttributeName()
    {
        return 'ServisSupportTicketSubject';
    }
}
