<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfSilinenUye ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfSilinenUye
 * @subpackage Arrays
 */
class ArrayOfSilinenUye extends AbstractStructArrayBase
{
    /**
     * The SilinenUye
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SilinenUye[]
     */
    public $SilinenUye;
    /**
     * Constructor method for ArrayOfSilinenUye
     * @uses ArrayOfSilinenUye::setSilinenUye()
     * @param \StructType\SilinenUye[] $silinenUye
     */
    public function __construct(array $silinenUye = array())
    {
        $this
            ->setSilinenUye($silinenUye);
    }
    /**
     * Get SilinenUye value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SilinenUye[]|null
     */
    public function getSilinenUye()
    {
        return isset($this->SilinenUye) ? $this->SilinenUye : null;
    }
    /**
     * This method is responsible for validating the values passed to the setSilinenUye method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSilinenUye method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSilinenUyeForArrayConstraintsFromSetSilinenUye(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfSilinenUyeSilinenUyeItem) {
            // validation for constraint: itemType
            if (!$arrayOfSilinenUyeSilinenUyeItem instanceof \StructType\SilinenUye) {
                $invalidValues[] = is_object($arrayOfSilinenUyeSilinenUyeItem) ? get_class($arrayOfSilinenUyeSilinenUyeItem) : sprintf('%s(%s)', gettype($arrayOfSilinenUyeSilinenUyeItem), var_export($arrayOfSilinenUyeSilinenUyeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The SilinenUye property can only contain items of type \StructType\SilinenUye, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set SilinenUye value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\SilinenUye[] $silinenUye
     * @return \ArrayType\ArrayOfSilinenUye
     */
    public function setSilinenUye(array $silinenUye = array())
    {
        // validation for constraint: array
        if ('' !== ($silinenUyeArrayErrorMessage = self::validateSilinenUyeForArrayConstraintsFromSetSilinenUye($silinenUye))) {
            throw new \InvalidArgumentException($silinenUyeArrayErrorMessage, __LINE__);
        }
        if (is_null($silinenUye) || (is_array($silinenUye) && empty($silinenUye))) {
            unset($this->SilinenUye);
        } else {
            $this->SilinenUye = $silinenUye;
        }
        return $this;
    }
    /**
     * Add item to SilinenUye value
     * @throws \InvalidArgumentException
     * @param \StructType\SilinenUye $item
     * @return \ArrayType\ArrayOfSilinenUye
     */
    public function addToSilinenUye(\StructType\SilinenUye $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SilinenUye) {
            throw new \InvalidArgumentException(sprintf('The SilinenUye property can only contain items of type \StructType\SilinenUye, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->SilinenUye[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\SilinenUye|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\SilinenUye|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\SilinenUye|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\SilinenUye|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\SilinenUye|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string SilinenUye
     */
    public function getAttributeName()
    {
        return 'SilinenUye';
    }
}
