<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebKampanya ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebKampanya
 * @subpackage Arrays
 */
class ArrayOfWebKampanya extends AbstractStructArrayBase
{
    /**
     * The WebKampanya
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebKampanya[]
     */
    public $WebKampanya;
    /**
     * Constructor method for ArrayOfWebKampanya
     * @uses ArrayOfWebKampanya::setWebKampanya()
     * @param \StructType\WebKampanya[] $webKampanya
     */
    public function __construct(array $webKampanya = array())
    {
        $this
            ->setWebKampanya($webKampanya);
    }
    /**
     * Get WebKampanya value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebKampanya[]|null
     */
    public function getWebKampanya()
    {
        return isset($this->WebKampanya) ? $this->WebKampanya : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebKampanya method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebKampanya method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebKampanyaForArrayConstraintsFromSetWebKampanya(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebKampanyaWebKampanyaItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebKampanyaWebKampanyaItem instanceof \StructType\WebKampanya) {
                $invalidValues[] = is_object($arrayOfWebKampanyaWebKampanyaItem) ? get_class($arrayOfWebKampanyaWebKampanyaItem) : sprintf('%s(%s)', gettype($arrayOfWebKampanyaWebKampanyaItem), var_export($arrayOfWebKampanyaWebKampanyaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebKampanya property can only contain items of type \StructType\WebKampanya, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebKampanya value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WebKampanya[] $webKampanya
     * @return \ArrayType\ArrayOfWebKampanya
     */
    public function setWebKampanya(array $webKampanya = array())
    {
        // validation for constraint: array
        if ('' !== ($webKampanyaArrayErrorMessage = self::validateWebKampanyaForArrayConstraintsFromSetWebKampanya($webKampanya))) {
            throw new \InvalidArgumentException($webKampanyaArrayErrorMessage, __LINE__);
        }
        if (is_null($webKampanya) || (is_array($webKampanya) && empty($webKampanya))) {
            unset($this->WebKampanya);
        } else {
            $this->WebKampanya = $webKampanya;
        }
        return $this;
    }
    /**
     * Add item to WebKampanya value
     * @throws \InvalidArgumentException
     * @param \StructType\WebKampanya $item
     * @return \ArrayType\ArrayOfWebKampanya
     */
    public function addToWebKampanya(\StructType\WebKampanya $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WebKampanya) {
            throw new \InvalidArgumentException(sprintf('The WebKampanya property can only contain items of type \StructType\WebKampanya, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebKampanya[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WebKampanya|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WebKampanya|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WebKampanya|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WebKampanya|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WebKampanya|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebKampanya
     */
    public function getAttributeName()
    {
        return 'WebKampanya';
    }
}
