<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebMenu ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebMenu
 * @subpackage Arrays
 */
class ArrayOfWebMenu extends AbstractStructArrayBase
{
    /**
     * The WebMenu
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebMenu[]
     */
    public $WebMenu;
    /**
     * Constructor method for ArrayOfWebMenu
     * @uses ArrayOfWebMenu::setWebMenu()
     * @param \StructType\WebMenu[] $webMenu
     */
    public function __construct(array $webMenu = array())
    {
        $this
            ->setWebMenu($webMenu);
    }
    /**
     * Get WebMenu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebMenu[]|null
     */
    public function getWebMenu()
    {
        return isset($this->WebMenu) ? $this->WebMenu : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebMenu method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebMenu method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebMenuForArrayConstraintsFromSetWebMenu(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebMenuWebMenuItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebMenuWebMenuItem instanceof \StructType\WebMenu) {
                $invalidValues[] = is_object($arrayOfWebMenuWebMenuItem) ? get_class($arrayOfWebMenuWebMenuItem) : sprintf('%s(%s)', gettype($arrayOfWebMenuWebMenuItem), var_export($arrayOfWebMenuWebMenuItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebMenu property can only contain items of type \StructType\WebMenu, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebMenu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WebMenu[] $webMenu
     * @return \ArrayType\ArrayOfWebMenu
     */
    public function setWebMenu(array $webMenu = array())
    {
        // validation for constraint: array
        if ('' !== ($webMenuArrayErrorMessage = self::validateWebMenuForArrayConstraintsFromSetWebMenu($webMenu))) {
            throw new \InvalidArgumentException($webMenuArrayErrorMessage, __LINE__);
        }
        if (is_null($webMenu) || (is_array($webMenu) && empty($webMenu))) {
            unset($this->WebMenu);
        } else {
            $this->WebMenu = $webMenu;
        }
        return $this;
    }
    /**
     * Add item to WebMenu value
     * @throws \InvalidArgumentException
     * @param \StructType\WebMenu $item
     * @return \ArrayType\ArrayOfWebMenu
     */
    public function addToWebMenu(\StructType\WebMenu $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WebMenu) {
            throw new \InvalidArgumentException(sprintf('The WebMenu property can only contain items of type \StructType\WebMenu, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebMenu[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WebMenu|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WebMenu|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WebMenu|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WebMenu|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WebMenu|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebMenu
     */
    public function getAttributeName()
    {
        return 'WebMenu';
    }
}
