<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfint' => '\\ArrayType\\ArrayOfint',
            'ArrayOfstring' => '\\ArrayType\\ArrayOfstring',
            'ArrayOfKeyValueOfintstring' => '\\ArrayType\\ArrayOfKeyValueOfintstring',
            'KeyValueOfintstring' => '\\StructType\\KeyValueOfintstring',
            'Entegrasyon' => '\\StructType\\Entegrasyon',
            'WebServisResponse' => '\\StructType\\WebServisResponse',
            'ArrayOfMailList' => '\\ArrayType\\ArrayOfMailList',
            'MailList' => '\\StructType\\MailList',
            'ArrayOfEntegrasyon' => '\\ArrayType\\ArrayOfEntegrasyon',
            'KargoDesiFiyatSelectRequest' => '\\StructType\\KargoDesiFiyatSelectRequest',
            'KargoDesiFiyatSelectResponse' => '\\StructType\\KargoDesiFiyatSelectResponse',
            'ArrayOfKargoDesiFiyat' => '\\ArrayType\\ArrayOfKargoDesiFiyat',
            'KargoDesiFiyat' => '\\StructType\\KargoDesiFiyat',
            'KargoDesiFiyatGuncelleRequest' => '\\StructType\\KargoDesiFiyatGuncelleRequest',
            'KargoDesiFiyatBilgisi' => '\\StructType\\KargoDesiFiyatBilgisi',
            'SelectUlkeRequest' => '\\StructType\\SelectUlkeRequest',
            'ArrayOfKargoUlke' => '\\ArrayType\\ArrayOfKargoUlke',
            'KargoUlke' => '\\StructType\\KargoUlke',
            'SelectIlRequest' => '\\StructType\\SelectIlRequest',
            'ArrayOfKargoIl' => '\\ArrayType\\ArrayOfKargoIl',
            'KargoIl' => '\\StructType\\KargoIl',
            'SelectIlceRequest' => '\\StructType\\SelectIlceRequest',
            'ArrayOfKargoIlce' => '\\ArrayType\\ArrayOfKargoIlce',
            'KargoIlce' => '\\StructType\\KargoIlce',
            'ArrayOfKargoFirma' => '\\ArrayType\\ArrayOfKargoFirma',
            'KargoFirma' => '\\StructType\\KargoFirma',
            'WebIadeTalepSelectRequest' => '\\StructType\\WebIadeTalepSelectRequest',
            'IadeTalepFiltre' => '\\StructType\\IadeTalepFiltre',
            'WebServisSayfalama' => '\\StructType\\WebServisSayfalama',
            'WebIadeTalepResponse' => '\\StructType\\WebIadeTalepResponse',
            'ArrayOfIadeTalep' => '\\ArrayType\\ArrayOfIadeTalep',
            'IadeTalep' => '\\StructType\\IadeTalep',
            'WebIadeTalepUrunSelectRequest' => '\\StructType\\WebIadeTalepUrunSelectRequest',
            'WebIadeTalepUrunResponse' => '\\StructType\\WebIadeTalepUrunResponse',
            'ArrayOfIadeTalepUrun' => '\\ArrayType\\ArrayOfIadeTalepUrun',
            'IadeTalepUrun' => '\\StructType\\IadeTalepUrun',
            'WebIadeTalepGuncelleRequest' => '\\StructType\\WebIadeTalepGuncelleRequest',
            'IadeTalepUpdate' => '\\StructType\\IadeTalepUpdate',
            'ArrayOfIadeTalepUrunGuncelle' => '\\ArrayType\\ArrayOfIadeTalepUrunGuncelle',
            'IadeTalepUrunGuncelle' => '\\StructType\\IadeTalepUrunGuncelle',
            'WebIadeTalepUpdateResponse' => '\\StructType\\WebIadeTalepUpdateResponse',
            'WebDegisimTalepSelectRequest' => '\\StructType\\WebDegisimTalepSelectRequest',
            'DegisimTalepFiltre' => '\\StructType\\DegisimTalepFiltre',
            'WebDegisimTalepResponse' => '\\StructType\\WebDegisimTalepResponse',
            'ArrayOfDegisimTalep' => '\\ArrayType\\ArrayOfDegisimTalep',
            'DegisimTalep' => '\\StructType\\DegisimTalep',
            'WebDegisimTalepUrunSelectRequest' => '\\StructType\\WebDegisimTalepUrunSelectRequest',
            'WebDegisimTalepUrunResponse' => '\\StructType\\WebDegisimTalepUrunResponse',
            'ArrayOfDegisimTalepUrun' => '\\ArrayType\\ArrayOfDegisimTalepUrun',
            'DegisimTalepUrun' => '\\StructType\\DegisimTalepUrun',
            'WebDegisimTalepGuncelleRequest' => '\\StructType\\WebDegisimTalepGuncelleRequest',
            'DegisimTalepUpdate' => '\\StructType\\DegisimTalepUpdate',
            'ArrayOfDegisimTalepUrunGuncelle' => '\\ArrayType\\ArrayOfDegisimTalepUrunGuncelle',
            'DegisimTalepUrunGuncelle' => '\\StructType\\DegisimTalepUrunGuncelle',
            'WebDegisimTalepUpdateResponse' => '\\StructType\\WebDegisimTalepUpdateResponse',
            'WebTaksitSecenekRequest' => '\\StructType\\WebTaksitSecenekRequest',
            'WebTaksitSecenekResponse' => '\\StructType\\WebTaksitSecenekResponse',
            'ArrayOfWebTaksitBanka' => '\\ArrayType\\ArrayOfWebTaksitBanka',
            'WebTaksitBanka' => '\\StructType\\WebTaksitBanka',
            'ArrayOfWebTaksitSecenek' => '\\ArrayType\\ArrayOfWebTaksitSecenek',
            'WebTaksitSecenek' => '\\StructType\\WebTaksitSecenek',
            'ArrayOfWebKampanya' => '\\ArrayType\\ArrayOfWebKampanya',
            'WebKampanya' => '\\StructType\\WebKampanya',
            'GetFavoriUrunlerRequest' => '\\StructType\\GetFavoriUrunlerRequest',
            'GetFavoriUrunlerResponse' => '\\StructType\\GetFavoriUrunlerResponse',
            'ArrayOfWebFavoriUrunler' => '\\ArrayType\\ArrayOfWebFavoriUrunler',
            'WebFavoriUrunler' => '\\StructType\\WebFavoriUrunler',
            'AddFavoriUrunRequest' => '\\StructType\\AddFavoriUrunRequest',
            'AddFavoriUrunResponse' => '\\StructType\\AddFavoriUrunResponse',
            'RemoveFavoriUrunRequest' => '\\StructType\\RemoveFavoriUrunRequest',
            'RemoveFavoriUrunResponse' => '\\StructType\\RemoveFavoriUrunResponse',
            'GetFiyatAlarmUrunlerRequest' => '\\StructType\\GetFiyatAlarmUrunlerRequest',
            'GetFiyatAlarmUrunlerResponse' => '\\StructType\\GetFiyatAlarmUrunlerResponse',
            'ArrayOfWebFiyatAlarmUrunler' => '\\ArrayType\\ArrayOfWebFiyatAlarmUrunler',
            'WebFiyatAlarmUrunler' => '\\StructType\\WebFiyatAlarmUrunler',
            'AddFiyatAlarmUrunRequest' => '\\StructType\\AddFiyatAlarmUrunRequest',
            'AddFiyatAlarmUrunResponse' => '\\StructType\\AddFiyatAlarmUrunResponse',
            'RemoveFiyatAlarmUrunRequest' => '\\StructType\\RemoveFiyatAlarmUrunRequest',
            'RemoveFiyatAlarmUrunResponse' => '\\StructType\\RemoveFiyatAlarmUrunResponse',
            'GetStokAlarmUrunlerRequest' => '\\StructType\\GetStokAlarmUrunlerRequest',
            'GetStokAlarmUrunlerResponse' => '\\StructType\\GetStokAlarmUrunlerResponse',
            'ArrayOfWebStokAlarmUrunler' => '\\ArrayType\\ArrayOfWebStokAlarmUrunler',
            'WebStokAlarmUrunler' => '\\StructType\\WebStokAlarmUrunler',
            'AddStokAlarmUrunRequest' => '\\StructType\\AddStokAlarmUrunRequest',
            'AddStokAlarmUrunResponse' => '\\StructType\\AddStokAlarmUrunResponse',
            'RemoveStokAlarmUrunRequest' => '\\StructType\\RemoveStokAlarmUrunRequest',
            'RemoveStokAlarmUrunResponse' => '\\StructType\\RemoveStokAlarmUrunResponse',
            'GetMenuRequest' => '\\StructType\\GetMenuRequest',
            'GetMenuResponse' => '\\StructType\\GetMenuResponse',
            'ArrayOfWebMenu' => '\\ArrayType\\ArrayOfWebMenu',
            'WebMenu' => '\\StructType\\WebMenu',
            'SaveMenuRequest' => '\\StructType\\SaveMenuRequest',
            'SaveMenuResponse' => '\\StructType\\SaveMenuResponse',
            'DeleteMenuRequest' => '\\StructType\\DeleteMenuRequest',
            'DeleteMenuResponse' => '\\StructType\\DeleteMenuResponse',
            'ServisSaveSupportTicketRequest' => '\\StructType\\ServisSaveSupportTicketRequest',
            'ServisSaveSupportTicketResponse' => '\\StructType\\ServisSaveSupportTicketResponse',
            'ServisGetSupportTicketSubjectsRequest' => '\\StructType\\ServisGetSupportTicketSubjectsRequest',
            'ServisGetSupportTicketSubjectsResponse' => '\\StructType\\ServisGetSupportTicketSubjectsResponse',
            'ArrayOfServisSupportTicketSubject' => '\\ArrayType\\ArrayOfServisSupportTicketSubject',
            'ServisSupportTicketSubject' => '\\StructType\\ServisSupportTicketSubject',
            'ServisSaveSupportTicketAnswerRequest' => '\\StructType\\ServisSaveSupportTicketAnswerRequest',
            'ServisSaveSupportTicketAnswerResponse' => '\\StructType\\ServisSaveSupportTicketAnswerResponse',
            'ServisUpdateTicketStatusRequest' => '\\StructType\\ServisUpdateTicketStatusRequest',
            'ServisUpdateTicketStatusResponse' => '\\StructType\\ServisUpdateTicketStatusResponse',
            'ServisGetSupportTicketsRequest' => '\\StructType\\ServisGetSupportTicketsRequest',
            'ServisGetSupportTicketsResponse' => '\\StructType\\ServisGetSupportTicketsResponse',
            'ArrayOfServisMusteriTalep' => '\\ArrayType\\ArrayOfServisMusteriTalep',
            'ServisMusteriTalep' => '\\StructType\\ServisMusteriTalep',
            'ServisGetAllSupportTicketsRequest' => '\\StructType\\ServisGetAllSupportTicketsRequest',
            'WebMusteriTalepFiltre' => '\\StructType\\WebMusteriTalepFiltre',
            'ServisGetSupportTicketMessagesRequest' => '\\StructType\\ServisGetSupportTicketMessagesRequest',
            'ServisGetSupportTicketMessagesResponse' => '\\StructType\\ServisGetSupportTicketMessagesResponse',
            'ArrayOfServisMusteriCevap' => '\\ArrayType\\ArrayOfServisMusteriCevap',
            'ServisMusteriCevap' => '\\StructType\\ServisMusteriCevap',
            'GetCampaingBannersRequest' => '\\StructType\\GetCampaingBannersRequest',
            'GetCampaingBannersResponse' => '\\StructType\\GetCampaingBannersResponse',
            'ArrayOfCampaingBannerList' => '\\ArrayType\\ArrayOfCampaingBannerList',
            'CampaingBannerList' => '\\StructType\\CampaingBannerList',
            'ArrayOfWebKampanyaTicimax' => '\\ArrayType\\ArrayOfWebKampanyaTicimax',
            'WebKampanyaTicimax' => '\\StructType\\WebKampanyaTicimax',
            'ArrayOfWebKampanyaIDTanim' => '\\ArrayType\\ArrayOfWebKampanyaIDTanim',
            'WebKampanyaIDTanim' => '\\StructType\\WebKampanyaIDTanim',
            'WebKampanyaHediye' => '\\StructType\\WebKampanyaHediye',
            'WebKampanyaHediyeCeki' => '\\StructType\\WebKampanyaHediyeCeki',
            'WebKampanyaHediyeUrunBilgisi' => '\\StructType\\WebKampanyaHediyeUrunBilgisi',
            'ArrayOfWebKampanyaHediyeUrun' => '\\ArrayType\\ArrayOfWebKampanyaHediyeUrun',
            'WebKampanyaHediyeUrun' => '\\StructType\\WebKampanyaHediyeUrun',
            'WebKampanyaKosul' => '\\StructType\\WebKampanyaKosul',
            'ArrayOfWebKampanyaKosulUrun' => '\\ArrayType\\ArrayOfWebKampanyaKosulUrun',
            'WebKampanyaKosulUrun' => '\\StructType\\WebKampanyaKosulUrun',
            'ArrayOfWebKampanyaSaatAraligi' => '\\ArrayType\\ArrayOfWebKampanyaSaatAraligi',
            'WebKampanyaSaatAraligi' => '\\StructType\\WebKampanyaSaatAraligi',
            'ArrayOfWebKampanyaUye' => '\\ArrayType\\ArrayOfWebKampanyaUye',
            'WebKampanyaUye' => '\\StructType\\WebKampanyaUye',
            'WebKampanyaUygulamaYontemi' => '\\StructType\\WebKampanyaUygulamaYontemi',
            'ArrayOfWebKampanyaFiyatAdetAraligi' => '\\ArrayType\\ArrayOfWebKampanyaFiyatAdetAraligi',
            'WebKampanyaFiyatAdetAraligi' => '\\StructType\\WebKampanyaFiyatAdetAraligi',
            'ArrayOfWebKampanyaIndirimDeger' => '\\ArrayType\\ArrayOfWebKampanyaIndirimDeger',
            'WebKampanyaIndirimDeger' => '\\StructType\\WebKampanyaIndirimDeger',
            'SelectBankaResponse' => '\\StructType\\SelectBankaResponse',
            'ArrayOfWebBanka' => '\\ArrayType\\ArrayOfWebBanka',
            'WebBanka' => '\\StructType\\WebBanka',
            'SelectSilinenUyelerRequest' => '\\StructType\\SelectSilinenUyelerRequest',
            'SelectSilinenUyelerResponse' => '\\StructType\\SelectSilinenUyelerResponse',
            'ArrayOfSilinenUye' => '\\ArrayType\\ArrayOfSilinenUye',
            'SilinenUye' => '\\StructType\\SilinenUye',
            'GetMailListRequest' => '\\StructType\\GetMailListRequest',
            'GetMailListResponse' => '\\StructType\\GetMailListResponse',
            'ArrayOfGetMailListModel' => '\\ArrayType\\ArrayOfGetMailListModel',
            'GetMailListModel' => '\\StructType\\GetMailListModel',
            'SaveMailListResponse' => '\\StructType\\SaveMailListResponse',
            'Webhook' => '\\StructType\\Webhook',
            'SaveWebhookResponse' => '\\StructType\\SaveWebhookResponse',
            'SelectWebhookRequest' => '\\StructType\\SelectWebhookRequest',
            'SelectWebhookResponse' => '\\StructType\\SelectWebhookResponse',
            'ArrayOfWebhook' => '\\ArrayType\\ArrayOfWebhook',
            'DeleteWebhookResponse' => '\\StructType\\DeleteWebhookResponse',
            'SelectIadeOdemeListesiRequest' => '\\StructType\\SelectIadeOdemeListesiRequest',
            'SelectIadeOdemeListesiResponse' => '\\StructType\\SelectIadeOdemeListesiResponse',
            'ArrayOfWebIdadeOdeme' => '\\ArrayType\\ArrayOfWebIdadeOdeme',
            'WebIdadeOdeme' => '\\StructType\\WebIdadeOdeme',
            'DeleteMailListRequest' => '\\StructType\\DeleteMailListRequest',
            'DeleteMailListResponse' => '\\StructType\\DeleteMailListResponse',
            'SelectOdemeBildirimiRequest' => '\\StructType\\SelectOdemeBildirimiRequest',
            'SelectOdemeBildirimiResponse' => '\\StructType\\SelectOdemeBildirimiResponse',
            'ArrayOfOdemeBildirim' => '\\ArrayType\\ArrayOfOdemeBildirim',
            'OdemeBildirim' => '\\StructType\\OdemeBildirim',
            'SaveOdemeBildirimDurumRequest' => '\\StructType\\SaveOdemeBildirimDurumRequest',
            'SaveOdemeBildirimDurumResponse' => '\\StructType\\SaveOdemeBildirimDurumResponse',
            'SelectMarketPlaceBilgiRequest' => '\\StructType\\SelectMarketPlaceBilgiRequest',
            'SelectMarketPlaceBilgiRespone' => '\\StructType\\SelectMarketPlaceBilgiRespone',
            'ArrayOfSiparisMarketplaceBilgi' => '\\ArrayType\\ArrayOfSiparisMarketplaceBilgi',
            'SiparisMarketplaceBilgi' => '\\StructType\\SiparisMarketplaceBilgi',
            'GetDinamikFormDataRequest' => '\\StructType\\GetDinamikFormDataRequest',
            'GetDinamikFormDataResponse' => '\\StructType\\GetDinamikFormDataResponse',
            'ArrayOfDinamikFormData' => '\\ArrayType\\ArrayOfDinamikFormData',
            'DinamikFormData' => '\\StructType\\DinamikFormData',
            'ArrayOfFormDataModel' => '\\ArrayType\\ArrayOfFormDataModel',
            'FormDataModel' => '\\StructType\\FormDataModel',
            'SaveEntegrasyonId' => '\\StructType\\SaveEntegrasyonId',
            'SaveEntegrasyonIdResponse' => '\\StructType\\SaveEntegrasyonIdResponse',
            'SelectEntegrasyonId' => '\\StructType\\SelectEntegrasyonId',
            'SelectEntegrasyonIdResponse' => '\\StructType\\SelectEntegrasyonIdResponse',
            'DeleteEntegrasyonId' => '\\StructType\\DeleteEntegrasyonId',
            'DeleteEntegrasyonIdResponse' => '\\StructType\\DeleteEntegrasyonIdResponse',
            'SelectMailList' => '\\StructType\\SelectMailList',
            'SelectMailListResponse' => '\\StructType\\SelectMailListResponse',
            'SelectEntegrasyon' => '\\StructType\\SelectEntegrasyon',
            'SelectEntegrasyonResponse' => '\\StructType\\SelectEntegrasyonResponse',
            'SelectKargoDesiFiyat' => '\\StructType\\SelectKargoDesiFiyat',
            'SelectKargoDesiFiyatResponse' => '\\StructType\\SelectKargoDesiFiyatResponse',
            'GuncelleKargoDesiFiyat' => '\\StructType\\GuncelleKargoDesiFiyat',
            'GuncelleKargoDesiFiyatResponse' => '\\StructType\\GuncelleKargoDesiFiyatResponse',
            'SelectUlkeler' => '\\StructType\\SelectUlkeler',
            'SelectUlkelerResponse' => '\\StructType\\SelectUlkelerResponse',
            'SelectIller' => '\\StructType\\SelectIller',
            'SelectIllerResponse' => '\\StructType\\SelectIllerResponse',
            'SelectIlceler' => '\\StructType\\SelectIlceler',
            'SelectIlcelerResponse' => '\\StructType\\SelectIlcelerResponse',
            'SelectKargoFirmalari' => '\\StructType\\SelectKargoFirmalari',
            'SelectKargoFirmalariResponse' => '\\StructType\\SelectKargoFirmalariResponse',
            'SelectIadeTalebi' => '\\StructType\\SelectIadeTalebi',
            'SelectIadeTalebiResponse' => '\\StructType\\SelectIadeTalebiResponse',
            'SelectIadeTalebiUrun' => '\\StructType\\SelectIadeTalebiUrun',
            'SelectIadeTalebiUrunResponse' => '\\StructType\\SelectIadeTalebiUrunResponse',
            'UpdateIadeTalebi' => '\\StructType\\UpdateIadeTalebi',
            'UpdateIadeTalebiResponse' => '\\StructType\\UpdateIadeTalebiResponse',
            'SelectDegisimTalebi' => '\\StructType\\SelectDegisimTalebi',
            'SelectDegisimTalebiResponse' => '\\StructType\\SelectDegisimTalebiResponse',
            'SelectDegisimTalebiUrun' => '\\StructType\\SelectDegisimTalebiUrun',
            'SelectDegisimTalebiUrunResponse' => '\\StructType\\SelectDegisimTalebiUrunResponse',
            'UpdateDegisimTalebi' => '\\StructType\\UpdateDegisimTalebi',
            'UpdateDegisimTalebiResponse' => '\\StructType\\UpdateDegisimTalebiResponse',
            'GetTaksitSecenek' => '\\StructType\\GetTaksitSecenek',
            'GetTaksitSecenekResponse' => '\\StructType\\GetTaksitSecenekResponse',
            'GetKampanya' => '\\StructType\\GetKampanya',
            'GetKampanyaResponse' => '\\StructType\\GetKampanyaResponse',
            'GetFavoriUrunler' => '\\StructType\\GetFavoriUrunler',
            'AddFavoriUrun' => '\\StructType\\AddFavoriUrun',
            'RemoveFavoriUrun' => '\\StructType\\RemoveFavoriUrun',
            'GetFiyatAlarmUrunler' => '\\StructType\\GetFiyatAlarmUrunler',
            'AddFiyatAlarmUrun' => '\\StructType\\AddFiyatAlarmUrun',
            'RemoveFiyatAlarmUrun' => '\\StructType\\RemoveFiyatAlarmUrun',
            'GetStokAlarmUrunler' => '\\StructType\\GetStokAlarmUrunler',
            'AddStokAlarmUrun' => '\\StructType\\AddStokAlarmUrun',
            'RemoveStokAlarmUrun' => '\\StructType\\RemoveStokAlarmUrun',
            'GetMenu' => '\\StructType\\GetMenu',
            'SaveMenu' => '\\StructType\\SaveMenu',
            'DeleteMenu' => '\\StructType\\DeleteMenu',
            'SaveSupportTicket' => '\\StructType\\SaveSupportTicket',
            'SaveSupportTicketResponse' => '\\StructType\\SaveSupportTicketResponse',
            'GetSupportTicketSubject' => '\\StructType\\GetSupportTicketSubject',
            'GetSupportTicketSubjectResponse' => '\\StructType\\GetSupportTicketSubjectResponse',
            'SaveSupportTicketAnswer' => '\\StructType\\SaveSupportTicketAnswer',
            'SaveSupportTicketAnswerResponse' => '\\StructType\\SaveSupportTicketAnswerResponse',
            'UpdateTicketStatus' => '\\StructType\\UpdateTicketStatus',
            'UpdateTicketStatusResponse' => '\\StructType\\UpdateTicketStatusResponse',
            'GetSupportTickets' => '\\StructType\\GetSupportTickets',
            'GetSupportTicketsResponse' => '\\StructType\\GetSupportTicketsResponse',
            'GetAllSupportTickets' => '\\StructType\\GetAllSupportTickets',
            'GetAllSupportTicketsResponse' => '\\StructType\\GetAllSupportTicketsResponse',
            'GetSupportTicketMessages' => '\\StructType\\GetSupportTicketMessages',
            'GetSupportTicketMessagesResponse' => '\\StructType\\GetSupportTicketMessagesResponse',
            'GetCampaingBanners' => '\\StructType\\GetCampaingBanners',
            'GetKampanyaV2' => '\\StructType\\GetKampanyaV2',
            'GetKampanyaV2Response' => '\\StructType\\GetKampanyaV2Response',
            'SelectSiparisKaynaklari' => '\\StructType\\SelectSiparisKaynaklari',
            'SelectSiparisKaynaklariResponse' => '\\StructType\\SelectSiparisKaynaklariResponse',
            'SelectBanka' => '\\StructType\\SelectBanka',
            'SelectSilinenUyeList' => '\\StructType\\SelectSilinenUyeList',
            'SelectSilinenUyeListResponse' => '\\StructType\\SelectSilinenUyeListResponse',
            'GetMailList' => '\\StructType\\GetMailList',
            'SaveMailList' => '\\StructType\\SaveMailList',
            'SaveWebhook' => '\\StructType\\SaveWebhook',
            'SelectWebhook' => '\\StructType\\SelectWebhook',
            'DeleteWebhook' => '\\StructType\\DeleteWebhook',
            'SelectIadeOdemeListesi' => '\\StructType\\SelectIadeOdemeListesi',
            'DeleteMailList' => '\\StructType\\DeleteMailList',
            'SelectOdemeBildirimi' => '\\StructType\\SelectOdemeBildirimi',
            'SaveOdemeBildirimDurum' => '\\StructType\\SaveOdemeBildirimDurum',
            'SelectSiparisMarketplaceBilgi' => '\\StructType\\SelectSiparisMarketplaceBilgi',
            'SelectSiparisMarketplaceBilgiResponse' => '\\StructType\\SelectSiparisMarketplaceBilgiResponse',
            'GetDinamikFormData' => '\\StructType\\GetDinamikFormData',
        );
    }
}
