<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Add ServiceType
 * @subpackage Services
 */
class Add extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named AddFavoriUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AddFavoriUrun $parameters
     * @return \StructType\AddFavoriUrunResponse|bool
     */
    public function AddFavoriUrun(\StructType\AddFavoriUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AddFavoriUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AddFiyatAlarmUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AddFiyatAlarmUrun $parameters
     * @return \StructType\AddFiyatAlarmUrunResponse|bool
     */
    public function AddFiyatAlarmUrun(\StructType\AddFiyatAlarmUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AddFiyatAlarmUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AddStokAlarmUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AddStokAlarmUrun $parameters
     * @return \StructType\AddStokAlarmUrunResponse|bool
     */
    public function AddStokAlarmUrun(\StructType\AddStokAlarmUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AddStokAlarmUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\AddFavoriUrunResponse|\StructType\AddFiyatAlarmUrunResponse|\StructType\AddStokAlarmUrunResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
