<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Get ServiceType
 * @subpackage Services
 */
class Get extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GetTaksitSecenek
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetTaksitSecenek $parameters
     * @return \StructType\GetTaksitSecenekResponse|bool
     */
    public function GetTaksitSecenek(\StructType\GetTaksitSecenek $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetTaksitSecenek($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetKampanya
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetKampanya $parameters
     * @return \StructType\GetKampanyaResponse|bool
     */
    public function GetKampanya(\StructType\GetKampanya $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetKampanya($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetFavoriUrunler
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetFavoriUrunler $parameters
     * @return \StructType\GetFavoriUrunlerResponse|bool
     */
    public function GetFavoriUrunler(\StructType\GetFavoriUrunler $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetFavoriUrunler($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetFiyatAlarmUrunler
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetFiyatAlarmUrunler $parameters
     * @return \StructType\GetFiyatAlarmUrunlerResponse|bool
     */
    public function GetFiyatAlarmUrunler(\StructType\GetFiyatAlarmUrunler $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetFiyatAlarmUrunler($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetStokAlarmUrunler
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetStokAlarmUrunler $parameters
     * @return \StructType\GetStokAlarmUrunlerResponse|bool
     */
    public function GetStokAlarmUrunler(\StructType\GetStokAlarmUrunler $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetStokAlarmUrunler($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetMenu
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetMenu $parameters
     * @return \StructType\GetMenuResponse|bool
     */
    public function GetMenu(\StructType\GetMenu $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetMenu($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetSupportTicketSubject
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetSupportTicketSubject $parameters
     * @return \StructType\GetSupportTicketSubjectResponse|bool
     */
    public function GetSupportTicketSubject(\StructType\GetSupportTicketSubject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSupportTicketSubject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetSupportTickets
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetSupportTickets $parameters
     * @return \StructType\GetSupportTicketsResponse|bool
     */
    public function GetSupportTickets(\StructType\GetSupportTickets $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSupportTickets($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetAllSupportTickets
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetAllSupportTickets $parameters
     * @return \StructType\GetAllSupportTicketsResponse|bool
     */
    public function GetAllSupportTickets(\StructType\GetAllSupportTickets $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetAllSupportTickets($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetSupportTicketMessages
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetSupportTicketMessages $parameters
     * @return \StructType\GetSupportTicketMessagesResponse|bool
     */
    public function GetSupportTicketMessages(\StructType\GetSupportTicketMessages $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSupportTicketMessages($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetCampaingBanners
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetCampaingBanners $parameters
     * @return \StructType\GetCampaingBannersResponse|bool
     */
    public function GetCampaingBanners(\StructType\GetCampaingBanners $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetCampaingBanners($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetKampanyaV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetKampanyaV2 $parameters
     * @return \StructType\GetKampanyaV2Response|bool
     */
    public function GetKampanyaV2(\StructType\GetKampanyaV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetKampanyaV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetMailList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetMailList $parameters
     * @return \StructType\GetMailListResponse|bool
     */
    public function GetMailList(\StructType\GetMailList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetMailList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetDinamikFormData
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDinamikFormData $parameters
     * @return \StructType\GetDinamikFormDataResponse|bool
     */
    public function GetDinamikFormData(\StructType\GetDinamikFormData $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetDinamikFormData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GetAllSupportTicketsResponse|\StructType\GetCampaingBannersResponse|\StructType\GetDinamikFormDataResponse|\StructType\GetFavoriUrunlerResponse|\StructType\GetFiyatAlarmUrunlerResponse|\StructType\GetKampanyaResponse|\StructType\GetKampanyaV2Response|\StructType\GetMailListResponse|\StructType\GetMenuResponse|\StructType\GetStokAlarmUrunlerResponse|\StructType\GetSupportTicketMessagesResponse|\StructType\GetSupportTicketsResponse|\StructType\GetSupportTicketSubjectResponse|\StructType\GetTaksitSecenekResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
