<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Select ServiceType
 * @subpackage Services
 */
class Select extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SelectEntegrasyonId
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectEntegrasyonId $parameters
     * @return \StructType\SelectEntegrasyonIdResponse|bool
     */
    public function SelectEntegrasyonId(\StructType\SelectEntegrasyonId $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectEntegrasyonId($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectMailList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectMailList $parameters
     * @return \StructType\SelectMailListResponse|bool
     */
    public function SelectMailList(\StructType\SelectMailList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectMailList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectEntegrasyon
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectEntegrasyon $parameters
     * @return \StructType\SelectEntegrasyonResponse|bool
     */
    public function SelectEntegrasyon(\StructType\SelectEntegrasyon $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectEntegrasyon($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectKargoDesiFiyat
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectKargoDesiFiyat $parameters
     * @return \StructType\SelectKargoDesiFiyatResponse|bool
     */
    public function SelectKargoDesiFiyat(\StructType\SelectKargoDesiFiyat $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectKargoDesiFiyat($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectUlkeler
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectUlkeler $parameters
     * @return \StructType\SelectUlkelerResponse|bool
     */
    public function SelectUlkeler(\StructType\SelectUlkeler $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectUlkeler($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectIller
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectIller $parameters
     * @return \StructType\SelectIllerResponse|bool
     */
    public function SelectIller(\StructType\SelectIller $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectIller($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectIlceler
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectIlceler $parameters
     * @return \StructType\SelectIlcelerResponse|bool
     */
    public function SelectIlceler(\StructType\SelectIlceler $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectIlceler($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectKargoFirmalari
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectKargoFirmalari $parameters
     * @return \StructType\SelectKargoFirmalariResponse|bool
     */
    public function SelectKargoFirmalari(\StructType\SelectKargoFirmalari $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectKargoFirmalari($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectIadeTalebi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectIadeTalebi $parameters
     * @return \StructType\SelectIadeTalebiResponse|bool
     */
    public function SelectIadeTalebi(\StructType\SelectIadeTalebi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectIadeTalebi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectIadeTalebiUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectIadeTalebiUrun $parameters
     * @return \StructType\SelectIadeTalebiUrunResponse|bool
     */
    public function SelectIadeTalebiUrun(\StructType\SelectIadeTalebiUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectIadeTalebiUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectDegisimTalebi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectDegisimTalebi $parameters
     * @return \StructType\SelectDegisimTalebiResponse|bool
     */
    public function SelectDegisimTalebi(\StructType\SelectDegisimTalebi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectDegisimTalebi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectDegisimTalebiUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectDegisimTalebiUrun $parameters
     * @return \StructType\SelectDegisimTalebiUrunResponse|bool
     */
    public function SelectDegisimTalebiUrun(\StructType\SelectDegisimTalebiUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectDegisimTalebiUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisKaynaklari
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisKaynaklari $parameters
     * @return \StructType\SelectSiparisKaynaklariResponse|bool
     */
    public function SelectSiparisKaynaklari(\StructType\SelectSiparisKaynaklari $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisKaynaklari($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectBanka
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectBanka $parameters
     * @return \StructType\SelectBankaResponse|bool
     */
    public function SelectBanka(\StructType\SelectBanka $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectBanka($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSilinenUyeList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSilinenUyeList $parameters
     * @return \StructType\SelectSilinenUyeListResponse|bool
     */
    public function SelectSilinenUyeList(\StructType\SelectSilinenUyeList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSilinenUyeList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectWebhook
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectWebhook $parameters
     * @return \StructType\SelectWebhookResponse|bool
     */
    public function SelectWebhook(\StructType\SelectWebhook $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectWebhook($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectIadeOdemeListesi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectIadeOdemeListesi $parameters
     * @return \StructType\SelectIadeOdemeListesiResponse|bool
     */
    public function SelectIadeOdemeListesi(\StructType\SelectIadeOdemeListesi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectIadeOdemeListesi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectOdemeBildirimi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectOdemeBildirimi $parameters
     * @return \StructType\SelectOdemeBildirimiResponse|bool
     */
    public function SelectOdemeBildirimi(\StructType\SelectOdemeBildirimi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectOdemeBildirimi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisMarketplaceBilgi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisMarketplaceBilgi $parameters
     * @return \StructType\SelectSiparisMarketplaceBilgiResponse|bool
     */
    public function SelectSiparisMarketplaceBilgi(\StructType\SelectSiparisMarketplaceBilgi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisMarketplaceBilgi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\SelectBankaResponse|\StructType\SelectDegisimTalebiResponse|\StructType\SelectDegisimTalebiUrunResponse|\StructType\SelectEntegrasyonIdResponse|\StructType\SelectEntegrasyonResponse|\StructType\SelectIadeOdemeListesiResponse|\StructType\SelectIadeTalebiResponse|\StructType\SelectIadeTalebiUrunResponse|\StructType\SelectIlcelerResponse|\StructType\SelectIllerResponse|\StructType\SelectKargoDesiFiyatResponse|\StructType\SelectKargoFirmalariResponse|\StructType\SelectMailListResponse|\StructType\SelectOdemeBildirimiResponse|\StructType\SelectSilinenUyeListResponse|\StructType\SelectSiparisKaynaklariResponse|\StructType\SelectSiparisMarketplaceBilgiResponse|\StructType\SelectUlkelerResponse|\StructType\SelectWebhookResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
