<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DegisimTalep StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:DegisimTalep
 * @subpackage Structs
 */
class DegisimTalep extends AbstractStructBase
{
    /**
     * The Durum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Durum;
    /**
     * The DurumID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $DurumID;
    /**
     * The EklemeTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $EklemeTarihi;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The Kod
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Kod;
    /**
     * The OdemeTipi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OdemeTipi;
    /**
     * The OdemeTipiID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $OdemeTipiID;
    /**
     * The SiparisID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SiparisID;
    /**
     * The SiparisNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $SiparisNo;
    /**
     * The SiparisTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $SiparisTarihi;
    /**
     * The UyeAdi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeAdi;
    /**
     * The UyeID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UyeID;
    /**
     * Constructor method for DegisimTalep
     * @uses DegisimTalep::setDurum()
     * @uses DegisimTalep::setDurumID()
     * @uses DegisimTalep::setEklemeTarihi()
     * @uses DegisimTalep::setID()
     * @uses DegisimTalep::setKod()
     * @uses DegisimTalep::setOdemeTipi()
     * @uses DegisimTalep::setOdemeTipiID()
     * @uses DegisimTalep::setSiparisID()
     * @uses DegisimTalep::setSiparisNo()
     * @uses DegisimTalep::setSiparisTarihi()
     * @uses DegisimTalep::setUyeAdi()
     * @uses DegisimTalep::setUyeID()
     * @param string $durum
     * @param int $durumID
     * @param string $eklemeTarihi
     * @param int $iD
     * @param string $kod
     * @param string $odemeTipi
     * @param int $odemeTipiID
     * @param int $siparisID
     * @param string $siparisNo
     * @param string $siparisTarihi
     * @param string $uyeAdi
     * @param int $uyeID
     */
    public function __construct($durum = null, $durumID = null, $eklemeTarihi = null, $iD = null, $kod = null, $odemeTipi = null, $odemeTipiID = null, $siparisID = null, $siparisNo = null, $siparisTarihi = null, $uyeAdi = null, $uyeID = null)
    {
        $this
            ->setDurum($durum)
            ->setDurumID($durumID)
            ->setEklemeTarihi($eklemeTarihi)
            ->setID($iD)
            ->setKod($kod)
            ->setOdemeTipi($odemeTipi)
            ->setOdemeTipiID($odemeTipiID)
            ->setSiparisID($siparisID)
            ->setSiparisNo($siparisNo)
            ->setSiparisTarihi($siparisTarihi)
            ->setUyeAdi($uyeAdi)
            ->setUyeID($uyeID);
    }
    /**
     * Get Durum value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDurum()
    {
        return isset($this->Durum) ? $this->Durum : null;
    }
    /**
     * Set Durum value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $durum
     * @return \StructType\DegisimTalep
     */
    public function setDurum($durum = null)
    {
        // validation for constraint: string
        if (!is_null($durum) && !is_string($durum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($durum, true), gettype($durum)), __LINE__);
        }
        if (is_null($durum) || (is_array($durum) && empty($durum))) {
            unset($this->Durum);
        } else {
            $this->Durum = $durum;
        }
        return $this;
    }
    /**
     * Get DurumID value
     * @return int|null
     */
    public function getDurumID()
    {
        return $this->DurumID;
    }
    /**
     * Set DurumID value
     * @param int $durumID
     * @return \StructType\DegisimTalep
     */
    public function setDurumID($durumID = null)
    {
        // validation for constraint: int
        if (!is_null($durumID) && !(is_int($durumID) || ctype_digit($durumID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($durumID, true), gettype($durumID)), __LINE__);
        }
        $this->DurumID = $durumID;
        return $this;
    }
    /**
     * Get EklemeTarihi value
     * @return string|null
     */
    public function getEklemeTarihi()
    {
        return $this->EklemeTarihi;
    }
    /**
     * Set EklemeTarihi value
     * @param string $eklemeTarihi
     * @return \StructType\DegisimTalep
     */
    public function setEklemeTarihi($eklemeTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($eklemeTarihi) && !is_string($eklemeTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eklemeTarihi, true), gettype($eklemeTarihi)), __LINE__);
        }
        $this->EklemeTarihi = $eklemeTarihi;
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\DegisimTalep
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !(is_int($iD) || ctype_digit($iD))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iD, true), gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Kod value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getKod()
    {
        return isset($this->Kod) ? $this->Kod : null;
    }
    /**
     * Set Kod value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $kod
     * @return \StructType\DegisimTalep
     */
    public function setKod($kod = null)
    {
        // validation for constraint: string
        if (!is_null($kod) && !is_string($kod)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kod, true), gettype($kod)), __LINE__);
        }
        if (is_null($kod) || (is_array($kod) && empty($kod))) {
            unset($this->Kod);
        } else {
            $this->Kod = $kod;
        }
        return $this;
    }
    /**
     * Get OdemeTipi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOdemeTipi()
    {
        return isset($this->OdemeTipi) ? $this->OdemeTipi : null;
    }
    /**
     * Set OdemeTipi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $odemeTipi
     * @return \StructType\DegisimTalep
     */
    public function setOdemeTipi($odemeTipi = null)
    {
        // validation for constraint: string
        if (!is_null($odemeTipi) && !is_string($odemeTipi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($odemeTipi, true), gettype($odemeTipi)), __LINE__);
        }
        if (is_null($odemeTipi) || (is_array($odemeTipi) && empty($odemeTipi))) {
            unset($this->OdemeTipi);
        } else {
            $this->OdemeTipi = $odemeTipi;
        }
        return $this;
    }
    /**
     * Get OdemeTipiID value
     * @return int|null
     */
    public function getOdemeTipiID()
    {
        return $this->OdemeTipiID;
    }
    /**
     * Set OdemeTipiID value
     * @param int $odemeTipiID
     * @return \StructType\DegisimTalep
     */
    public function setOdemeTipiID($odemeTipiID = null)
    {
        // validation for constraint: int
        if (!is_null($odemeTipiID) && !(is_int($odemeTipiID) || ctype_digit($odemeTipiID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($odemeTipiID, true), gettype($odemeTipiID)), __LINE__);
        }
        $this->OdemeTipiID = $odemeTipiID;
        return $this;
    }
    /**
     * Get SiparisID value
     * @return int|null
     */
    public function getSiparisID()
    {
        return $this->SiparisID;
    }
    /**
     * Set SiparisID value
     * @param int $siparisID
     * @return \StructType\DegisimTalep
     */
    public function setSiparisID($siparisID = null)
    {
        // validation for constraint: int
        if (!is_null($siparisID) && !(is_int($siparisID) || ctype_digit($siparisID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisID, true), gettype($siparisID)), __LINE__);
        }
        $this->SiparisID = $siparisID;
        return $this;
    }
    /**
     * Get SiparisNo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSiparisNo()
    {
        return isset($this->SiparisNo) ? $this->SiparisNo : null;
    }
    /**
     * Set SiparisNo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $siparisNo
     * @return \StructType\DegisimTalep
     */
    public function setSiparisNo($siparisNo = null)
    {
        // validation for constraint: string
        if (!is_null($siparisNo) && !is_string($siparisNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siparisNo, true), gettype($siparisNo)), __LINE__);
        }
        if (is_null($siparisNo) || (is_array($siparisNo) && empty($siparisNo))) {
            unset($this->SiparisNo);
        } else {
            $this->SiparisNo = $siparisNo;
        }
        return $this;
    }
    /**
     * Get SiparisTarihi value
     * @return string|null
     */
    public function getSiparisTarihi()
    {
        return $this->SiparisTarihi;
    }
    /**
     * Set SiparisTarihi value
     * @param string $siparisTarihi
     * @return \StructType\DegisimTalep
     */
    public function setSiparisTarihi($siparisTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($siparisTarihi) && !is_string($siparisTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siparisTarihi, true), gettype($siparisTarihi)), __LINE__);
        }
        $this->SiparisTarihi = $siparisTarihi;
        return $this;
    }
    /**
     * Get UyeAdi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeAdi()
    {
        return isset($this->UyeAdi) ? $this->UyeAdi : null;
    }
    /**
     * Set UyeAdi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeAdi
     * @return \StructType\DegisimTalep
     */
    public function setUyeAdi($uyeAdi = null)
    {
        // validation for constraint: string
        if (!is_null($uyeAdi) && !is_string($uyeAdi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeAdi, true), gettype($uyeAdi)), __LINE__);
        }
        if (is_null($uyeAdi) || (is_array($uyeAdi) && empty($uyeAdi))) {
            unset($this->UyeAdi);
        } else {
            $this->UyeAdi = $uyeAdi;
        }
        return $this;
    }
    /**
     * Get UyeID value
     * @return int|null
     */
    public function getUyeID()
    {
        return $this->UyeID;
    }
    /**
     * Set UyeID value
     * @param int $uyeID
     * @return \StructType\DegisimTalep
     */
    public function setUyeID($uyeID = null)
    {
        // validation for constraint: int
        if (!is_null($uyeID) && !(is_int($uyeID) || ctype_digit($uyeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeID, true), gettype($uyeID)), __LINE__);
        }
        $this->UyeID = $uyeID;
        return $this;
    }
}
