<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Entegrasyon StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:Entegrasyon
 * @subpackage Structs
 */
class Entegrasyon extends AbstractStructBase
{
    /**
     * The AlanDeger
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $AlanDeger;
    /**
     * The Deger
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Deger;
    /**
     * The EklemeTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $EklemeTarihi;
    /**
     * The EntegrasyonKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EntegrasyonKodu;
    /**
     * The TabloAlan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TabloAlan;
    /**
     * The Tanim
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Tanim;
    /**
     * Constructor method for Entegrasyon
     * @uses Entegrasyon::setAlanDeger()
     * @uses Entegrasyon::setDeger()
     * @uses Entegrasyon::setEklemeTarihi()
     * @uses Entegrasyon::setEntegrasyonKodu()
     * @uses Entegrasyon::setTabloAlan()
     * @uses Entegrasyon::setTanim()
     * @param string $alanDeger
     * @param string $deger
     * @param string $eklemeTarihi
     * @param string $entegrasyonKodu
     * @param string $tabloAlan
     * @param string $tanim
     */
    public function __construct($alanDeger = null, $deger = null, $eklemeTarihi = null, $entegrasyonKodu = null, $tabloAlan = null, $tanim = null)
    {
        $this
            ->setAlanDeger($alanDeger)
            ->setDeger($deger)
            ->setEklemeTarihi($eklemeTarihi)
            ->setEntegrasyonKodu($entegrasyonKodu)
            ->setTabloAlan($tabloAlan)
            ->setTanim($tanim);
    }
    /**
     * Get AlanDeger value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAlanDeger()
    {
        return isset($this->AlanDeger) ? $this->AlanDeger : null;
    }
    /**
     * Set AlanDeger value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $alanDeger
     * @return \StructType\Entegrasyon
     */
    public function setAlanDeger($alanDeger = null)
    {
        // validation for constraint: string
        if (!is_null($alanDeger) && !is_string($alanDeger)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($alanDeger, true), gettype($alanDeger)), __LINE__);
        }
        if (is_null($alanDeger) || (is_array($alanDeger) && empty($alanDeger))) {
            unset($this->AlanDeger);
        } else {
            $this->AlanDeger = $alanDeger;
        }
        return $this;
    }
    /**
     * Get Deger value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDeger()
    {
        return isset($this->Deger) ? $this->Deger : null;
    }
    /**
     * Set Deger value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $deger
     * @return \StructType\Entegrasyon
     */
    public function setDeger($deger = null)
    {
        // validation for constraint: string
        if (!is_null($deger) && !is_string($deger)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deger, true), gettype($deger)), __LINE__);
        }
        if (is_null($deger) || (is_array($deger) && empty($deger))) {
            unset($this->Deger);
        } else {
            $this->Deger = $deger;
        }
        return $this;
    }
    /**
     * Get EklemeTarihi value
     * @return string|null
     */
    public function getEklemeTarihi()
    {
        return $this->EklemeTarihi;
    }
    /**
     * Set EklemeTarihi value
     * @param string $eklemeTarihi
     * @return \StructType\Entegrasyon
     */
    public function setEklemeTarihi($eklemeTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($eklemeTarihi) && !is_string($eklemeTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eklemeTarihi, true), gettype($eklemeTarihi)), __LINE__);
        }
        $this->EklemeTarihi = $eklemeTarihi;
        return $this;
    }
    /**
     * Get EntegrasyonKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEntegrasyonKodu()
    {
        return isset($this->EntegrasyonKodu) ? $this->EntegrasyonKodu : null;
    }
    /**
     * Set EntegrasyonKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $entegrasyonKodu
     * @return \StructType\Entegrasyon
     */
    public function setEntegrasyonKodu($entegrasyonKodu = null)
    {
        // validation for constraint: string
        if (!is_null($entegrasyonKodu) && !is_string($entegrasyonKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($entegrasyonKodu, true), gettype($entegrasyonKodu)), __LINE__);
        }
        if (is_null($entegrasyonKodu) || (is_array($entegrasyonKodu) && empty($entegrasyonKodu))) {
            unset($this->EntegrasyonKodu);
        } else {
            $this->EntegrasyonKodu = $entegrasyonKodu;
        }
        return $this;
    }
    /**
     * Get TabloAlan value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTabloAlan()
    {
        return isset($this->TabloAlan) ? $this->TabloAlan : null;
    }
    /**
     * Set TabloAlan value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tabloAlan
     * @return \StructType\Entegrasyon
     */
    public function setTabloAlan($tabloAlan = null)
    {
        // validation for constraint: string
        if (!is_null($tabloAlan) && !is_string($tabloAlan)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tabloAlan, true), gettype($tabloAlan)), __LINE__);
        }
        if (is_null($tabloAlan) || (is_array($tabloAlan) && empty($tabloAlan))) {
            unset($this->TabloAlan);
        } else {
            $this->TabloAlan = $tabloAlan;
        }
        return $this;
    }
    /**
     * Get Tanim value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTanim()
    {
        return isset($this->Tanim) ? $this->Tanim : null;
    }
    /**
     * Set Tanim value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tanim
     * @return \StructType\Entegrasyon
     */
    public function setTanim($tanim = null)
    {
        // validation for constraint: string
        if (!is_null($tanim) && !is_string($tanim)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tanim, true), gettype($tanim)), __LINE__);
        }
        if (is_null($tanim) || (is_array($tanim) && empty($tanim))) {
            unset($this->Tanim);
        } else {
            $this->Tanim = $tanim;
        }
        return $this;
    }
}
