<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FormDataModel StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:FormDataModel
 * @subpackage Structs
 */
class FormDataModel extends AbstractStructBase
{
    /**
     * The Aciklama
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Aciklama;
    /**
     * The Deger
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Deger;
    /**
     * The Sira
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Sira;
    /**
     * Constructor method for FormDataModel
     * @uses FormDataModel::setAciklama()
     * @uses FormDataModel::setDeger()
     * @uses FormDataModel::setSira()
     * @param string $aciklama
     * @param string $deger
     * @param int $sira
     */
    public function __construct($aciklama = null, $deger = null, $sira = null)
    {
        $this
            ->setAciklama($aciklama)
            ->setDeger($deger)
            ->setSira($sira);
    }
    /**
     * Get Aciklama value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAciklama()
    {
        return isset($this->Aciklama) ? $this->Aciklama : null;
    }
    /**
     * Set Aciklama value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $aciklama
     * @return \StructType\FormDataModel
     */
    public function setAciklama($aciklama = null)
    {
        // validation for constraint: string
        if (!is_null($aciklama) && !is_string($aciklama)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aciklama, true), gettype($aciklama)), __LINE__);
        }
        if (is_null($aciklama) || (is_array($aciklama) && empty($aciklama))) {
            unset($this->Aciklama);
        } else {
            $this->Aciklama = $aciklama;
        }
        return $this;
    }
    /**
     * Get Deger value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDeger()
    {
        return isset($this->Deger) ? $this->Deger : null;
    }
    /**
     * Set Deger value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $deger
     * @return \StructType\FormDataModel
     */
    public function setDeger($deger = null)
    {
        // validation for constraint: string
        if (!is_null($deger) && !is_string($deger)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deger, true), gettype($deger)), __LINE__);
        }
        if (is_null($deger) || (is_array($deger) && empty($deger))) {
            unset($this->Deger);
        } else {
            $this->Deger = $deger;
        }
        return $this;
    }
    /**
     * Get Sira value
     * @return int|null
     */
    public function getSira()
    {
        return $this->Sira;
    }
    /**
     * Set Sira value
     * @param int $sira
     * @return \StructType\FormDataModel
     */
    public function setSira($sira = null)
    {
        // validation for constraint: int
        if (!is_null($sira) && !(is_int($sira) || ctype_digit($sira))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sira, true), gettype($sira)), __LINE__);
        }
        $this->Sira = $sira;
        return $this;
    }
}
