<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCampaingBannersResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetCampaingBannersResponse
 * @subpackage Structs
 */
class GetCampaingBannersResponse extends AbstractStructBase
{
    /**
     * The CampaingBanners
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfCampaingBannerList
     */
    public $CampaingBanners;
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ErrorMessage;
    /**
     * The IsError
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $IsError;
    /**
     * The GetCampaingBannersResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\GetCampaingBannersResponse
     */
    public $GetCampaingBannersResult;
    /**
     * Constructor method for GetCampaingBannersResponse
     * @uses GetCampaingBannersResponse::setCampaingBanners()
     * @uses GetCampaingBannersResponse::setErrorMessage()
     * @uses GetCampaingBannersResponse::setIsError()
     * @uses GetCampaingBannersResponse::setGetCampaingBannersResult()
     * @param \ArrayType\ArrayOfCampaingBannerList $campaingBanners
     * @param string $errorMessage
     * @param bool $isError
     * @param \StructType\GetCampaingBannersResponse $getCampaingBannersResult
     */
    public function __construct(\ArrayType\ArrayOfCampaingBannerList $campaingBanners = null, $errorMessage = null, $isError = null, \StructType\GetCampaingBannersResponse $getCampaingBannersResult = null)
    {
        $this
            ->setCampaingBanners($campaingBanners)
            ->setErrorMessage($errorMessage)
            ->setIsError($isError)
            ->setGetCampaingBannersResult($getCampaingBannersResult);
    }
    /**
     * Get CampaingBanners value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfCampaingBannerList|null
     */
    public function getCampaingBanners()
    {
        return isset($this->CampaingBanners) ? $this->CampaingBanners : null;
    }
    /**
     * Set CampaingBanners value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfCampaingBannerList $campaingBanners
     * @return \StructType\GetCampaingBannersResponse
     */
    public function setCampaingBanners(\ArrayType\ArrayOfCampaingBannerList $campaingBanners = null)
    {
        if (is_null($campaingBanners) || (is_array($campaingBanners) && empty($campaingBanners))) {
            unset($this->CampaingBanners);
        } else {
            $this->CampaingBanners = $campaingBanners;
        }
        return $this;
    }
    /**
     * Get ErrorMessage value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getErrorMessage()
    {
        return isset($this->ErrorMessage) ? $this->ErrorMessage : null;
    }
    /**
     * Set ErrorMessage value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $errorMessage
     * @return \StructType\GetCampaingBannersResponse
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        if (is_null($errorMessage) || (is_array($errorMessage) && empty($errorMessage))) {
            unset($this->ErrorMessage);
        } else {
            $this->ErrorMessage = $errorMessage;
        }
        return $this;
    }
    /**
     * Get IsError value
     * @return bool|null
     */
    public function getIsError()
    {
        return $this->IsError;
    }
    /**
     * Set IsError value
     * @param bool $isError
     * @return \StructType\GetCampaingBannersResponse
     */
    public function setIsError($isError = null)
    {
        // validation for constraint: boolean
        if (!is_null($isError) && !is_bool($isError)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isError, true), gettype($isError)), __LINE__);
        }
        $this->IsError = $isError;
        return $this;
    }
    /**
     * Get GetCampaingBannersResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\GetCampaingBannersResponse|null
     */
    public function getGetCampaingBannersResult()
    {
        return isset($this->GetCampaingBannersResult) ? $this->GetCampaingBannersResult : null;
    }
    /**
     * Set GetCampaingBannersResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\GetCampaingBannersResponse $getCampaingBannersResult
     * @return \StructType\GetCampaingBannersResponse
     */
    public function setGetCampaingBannersResult(\StructType\GetCampaingBannersResponse $getCampaingBannersResult = null)
    {
        if (is_null($getCampaingBannersResult) || (is_array($getCampaingBannersResult) && empty($getCampaingBannersResult))) {
            unset($this->GetCampaingBannersResult);
        } else {
            $this->GetCampaingBannersResult = $getCampaingBannersResult;
        }
        return $this;
    }
}
