<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetFavoriUrunlerRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetFavoriUrunlerRequest
 * @subpackage Structs
 */
class GetFavoriUrunlerRequest extends AbstractStructBase
{
    /**
     * The BaslangicTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $BaslangicTarihi;
    /**
     * The BitisTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $BitisTarihi;
    /**
     * The KayitSayisi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $KayitSayisi;
    /**
     * The SayfaNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SayfaNo;
    /**
     * The UyeID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UyeID;
    /**
     * Constructor method for GetFavoriUrunlerRequest
     * @uses GetFavoriUrunlerRequest::setBaslangicTarihi()
     * @uses GetFavoriUrunlerRequest::setBitisTarihi()
     * @uses GetFavoriUrunlerRequest::setKayitSayisi()
     * @uses GetFavoriUrunlerRequest::setSayfaNo()
     * @uses GetFavoriUrunlerRequest::setUyeID()
     * @param string $baslangicTarihi
     * @param string $bitisTarihi
     * @param int $kayitSayisi
     * @param int $sayfaNo
     * @param int $uyeID
     */
    public function __construct($baslangicTarihi = null, $bitisTarihi = null, $kayitSayisi = null, $sayfaNo = null, $uyeID = null)
    {
        $this
            ->setBaslangicTarihi($baslangicTarihi)
            ->setBitisTarihi($bitisTarihi)
            ->setKayitSayisi($kayitSayisi)
            ->setSayfaNo($sayfaNo)
            ->setUyeID($uyeID);
    }
    /**
     * Get BaslangicTarihi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBaslangicTarihi()
    {
        return isset($this->BaslangicTarihi) ? $this->BaslangicTarihi : null;
    }
    /**
     * Set BaslangicTarihi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $baslangicTarihi
     * @return \StructType\GetFavoriUrunlerRequest
     */
    public function setBaslangicTarihi($baslangicTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($baslangicTarihi) && !is_string($baslangicTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($baslangicTarihi, true), gettype($baslangicTarihi)), __LINE__);
        }
        if (is_null($baslangicTarihi) || (is_array($baslangicTarihi) && empty($baslangicTarihi))) {
            unset($this->BaslangicTarihi);
        } else {
            $this->BaslangicTarihi = $baslangicTarihi;
        }
        return $this;
    }
    /**
     * Get BitisTarihi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBitisTarihi()
    {
        return isset($this->BitisTarihi) ? $this->BitisTarihi : null;
    }
    /**
     * Set BitisTarihi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $bitisTarihi
     * @return \StructType\GetFavoriUrunlerRequest
     */
    public function setBitisTarihi($bitisTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($bitisTarihi) && !is_string($bitisTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bitisTarihi, true), gettype($bitisTarihi)), __LINE__);
        }
        if (is_null($bitisTarihi) || (is_array($bitisTarihi) && empty($bitisTarihi))) {
            unset($this->BitisTarihi);
        } else {
            $this->BitisTarihi = $bitisTarihi;
        }
        return $this;
    }
    /**
     * Get KayitSayisi value
     * @return int|null
     */
    public function getKayitSayisi()
    {
        return $this->KayitSayisi;
    }
    /**
     * Set KayitSayisi value
     * @param int $kayitSayisi
     * @return \StructType\GetFavoriUrunlerRequest
     */
    public function setKayitSayisi($kayitSayisi = null)
    {
        // validation for constraint: int
        if (!is_null($kayitSayisi) && !(is_int($kayitSayisi) || ctype_digit($kayitSayisi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($kayitSayisi, true), gettype($kayitSayisi)), __LINE__);
        }
        $this->KayitSayisi = $kayitSayisi;
        return $this;
    }
    /**
     * Get SayfaNo value
     * @return int|null
     */
    public function getSayfaNo()
    {
        return $this->SayfaNo;
    }
    /**
     * Set SayfaNo value
     * @param int $sayfaNo
     * @return \StructType\GetFavoriUrunlerRequest
     */
    public function setSayfaNo($sayfaNo = null)
    {
        // validation for constraint: int
        if (!is_null($sayfaNo) && !(is_int($sayfaNo) || ctype_digit($sayfaNo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sayfaNo, true), gettype($sayfaNo)), __LINE__);
        }
        $this->SayfaNo = $sayfaNo;
        return $this;
    }
    /**
     * Get UyeID value
     * @return int|null
     */
    public function getUyeID()
    {
        return $this->UyeID;
    }
    /**
     * Set UyeID value
     * @param int $uyeID
     * @return \StructType\GetFavoriUrunlerRequest
     */
    public function setUyeID($uyeID = null)
    {
        // validation for constraint: int
        if (!is_null($uyeID) && !(is_int($uyeID) || ctype_digit($uyeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeID, true), gettype($uyeID)), __LINE__);
        }
        $this->UyeID = $uyeID;
        return $this;
    }
}
