<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetFavoriUrunlerResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetFavoriUrunlerResponse
 * @subpackage Structs
 */
class GetFavoriUrunlerResponse extends AbstractStructBase
{
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ErrorMessage;
    /**
     * The IsError
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $IsError;
    /**
     * The Urunler
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebFavoriUrunler
     */
    public $Urunler;
    /**
     * The GetFavoriUrunlerResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\GetFavoriUrunlerResponse
     */
    public $GetFavoriUrunlerResult;
    /**
     * Constructor method for GetFavoriUrunlerResponse
     * @uses GetFavoriUrunlerResponse::setErrorMessage()
     * @uses GetFavoriUrunlerResponse::setIsError()
     * @uses GetFavoriUrunlerResponse::setUrunler()
     * @uses GetFavoriUrunlerResponse::setGetFavoriUrunlerResult()
     * @param string $errorMessage
     * @param bool $isError
     * @param \ArrayType\ArrayOfWebFavoriUrunler $urunler
     * @param \StructType\GetFavoriUrunlerResponse $getFavoriUrunlerResult
     */
    public function __construct($errorMessage = null, $isError = null, \ArrayType\ArrayOfWebFavoriUrunler $urunler = null, \StructType\GetFavoriUrunlerResponse $getFavoriUrunlerResult = null)
    {
        $this
            ->setErrorMessage($errorMessage)
            ->setIsError($isError)
            ->setUrunler($urunler)
            ->setGetFavoriUrunlerResult($getFavoriUrunlerResult);
    }
    /**
     * Get ErrorMessage value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getErrorMessage()
    {
        return isset($this->ErrorMessage) ? $this->ErrorMessage : null;
    }
    /**
     * Set ErrorMessage value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $errorMessage
     * @return \StructType\GetFavoriUrunlerResponse
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        if (is_null($errorMessage) || (is_array($errorMessage) && empty($errorMessage))) {
            unset($this->ErrorMessage);
        } else {
            $this->ErrorMessage = $errorMessage;
        }
        return $this;
    }
    /**
     * Get IsError value
     * @return bool|null
     */
    public function getIsError()
    {
        return $this->IsError;
    }
    /**
     * Set IsError value
     * @param bool $isError
     * @return \StructType\GetFavoriUrunlerResponse
     */
    public function setIsError($isError = null)
    {
        // validation for constraint: boolean
        if (!is_null($isError) && !is_bool($isError)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isError, true), gettype($isError)), __LINE__);
        }
        $this->IsError = $isError;
        return $this;
    }
    /**
     * Get Urunler value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebFavoriUrunler|null
     */
    public function getUrunler()
    {
        return isset($this->Urunler) ? $this->Urunler : null;
    }
    /**
     * Set Urunler value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebFavoriUrunler $urunler
     * @return \StructType\GetFavoriUrunlerResponse
     */
    public function setUrunler(\ArrayType\ArrayOfWebFavoriUrunler $urunler = null)
    {
        if (is_null($urunler) || (is_array($urunler) && empty($urunler))) {
            unset($this->Urunler);
        } else {
            $this->Urunler = $urunler;
        }
        return $this;
    }
    /**
     * Get GetFavoriUrunlerResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\GetFavoriUrunlerResponse|null
     */
    public function getGetFavoriUrunlerResult()
    {
        return isset($this->GetFavoriUrunlerResult) ? $this->GetFavoriUrunlerResult : null;
    }
    /**
     * Set GetFavoriUrunlerResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\GetFavoriUrunlerResponse $getFavoriUrunlerResult
     * @return \StructType\GetFavoriUrunlerResponse
     */
    public function setGetFavoriUrunlerResult(\StructType\GetFavoriUrunlerResponse $getFavoriUrunlerResult = null)
    {
        if (is_null($getFavoriUrunlerResult) || (is_array($getFavoriUrunlerResult) && empty($getFavoriUrunlerResult))) {
            unset($this->GetFavoriUrunlerResult);
        } else {
            $this->GetFavoriUrunlerResult = $getFavoriUrunlerResult;
        }
        return $this;
    }
}
