<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetMailListModel StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetMailListModel
 * @subpackage Structs
 */
class GetMailListModel extends AbstractStructBase
{
    /**
     * The EklemeTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $EklemeTarihi;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The IpAdresi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IpAdresi;
    /**
     * The Isim
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Isim;
    /**
     * The Mail
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Mail;
    /**
     * The MailIzin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $MailIzin;
    /**
     * The MailKod
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $MailKod;
    /**
     * The SmsIzin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $SmsIzin;
    /**
     * The Soyisim
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Soyisim;
    /**
     * The Telefon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Telefon;
    /**
     * Constructor method for GetMailListModel
     * @uses GetMailListModel::setEklemeTarihi()
     * @uses GetMailListModel::setID()
     * @uses GetMailListModel::setIpAdresi()
     * @uses GetMailListModel::setIsim()
     * @uses GetMailListModel::setMail()
     * @uses GetMailListModel::setMailIzin()
     * @uses GetMailListModel::setMailKod()
     * @uses GetMailListModel::setSmsIzin()
     * @uses GetMailListModel::setSoyisim()
     * @uses GetMailListModel::setTelefon()
     * @param string $eklemeTarihi
     * @param int $iD
     * @param string $ipAdresi
     * @param string $isim
     * @param string $mail
     * @param bool $mailIzin
     * @param string $mailKod
     * @param bool $smsIzin
     * @param string $soyisim
     * @param string $telefon
     */
    public function __construct($eklemeTarihi = null, $iD = null, $ipAdresi = null, $isim = null, $mail = null, $mailIzin = null, $mailKod = null, $smsIzin = null, $soyisim = null, $telefon = null)
    {
        $this
            ->setEklemeTarihi($eklemeTarihi)
            ->setID($iD)
            ->setIpAdresi($ipAdresi)
            ->setIsim($isim)
            ->setMail($mail)
            ->setMailIzin($mailIzin)
            ->setMailKod($mailKod)
            ->setSmsIzin($smsIzin)
            ->setSoyisim($soyisim)
            ->setTelefon($telefon);
    }
    /**
     * Get EklemeTarihi value
     * @return string|null
     */
    public function getEklemeTarihi()
    {
        return $this->EklemeTarihi;
    }
    /**
     * Set EklemeTarihi value
     * @param string $eklemeTarihi
     * @return \StructType\GetMailListModel
     */
    public function setEklemeTarihi($eklemeTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($eklemeTarihi) && !is_string($eklemeTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eklemeTarihi, true), gettype($eklemeTarihi)), __LINE__);
        }
        $this->EklemeTarihi = $eklemeTarihi;
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\GetMailListModel
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !(is_int($iD) || ctype_digit($iD))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iD, true), gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get IpAdresi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIpAdresi()
    {
        return isset($this->IpAdresi) ? $this->IpAdresi : null;
    }
    /**
     * Set IpAdresi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $ipAdresi
     * @return \StructType\GetMailListModel
     */
    public function setIpAdresi($ipAdresi = null)
    {
        // validation for constraint: string
        if (!is_null($ipAdresi) && !is_string($ipAdresi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ipAdresi, true), gettype($ipAdresi)), __LINE__);
        }
        if (is_null($ipAdresi) || (is_array($ipAdresi) && empty($ipAdresi))) {
            unset($this->IpAdresi);
        } else {
            $this->IpAdresi = $ipAdresi;
        }
        return $this;
    }
    /**
     * Get Isim value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIsim()
    {
        return isset($this->Isim) ? $this->Isim : null;
    }
    /**
     * Set Isim value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $isim
     * @return \StructType\GetMailListModel
     */
    public function setIsim($isim = null)
    {
        // validation for constraint: string
        if (!is_null($isim) && !is_string($isim)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($isim, true), gettype($isim)), __LINE__);
        }
        if (is_null($isim) || (is_array($isim) && empty($isim))) {
            unset($this->Isim);
        } else {
            $this->Isim = $isim;
        }
        return $this;
    }
    /**
     * Get Mail value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMail()
    {
        return isset($this->Mail) ? $this->Mail : null;
    }
    /**
     * Set Mail value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mail
     * @return \StructType\GetMailListModel
     */
    public function setMail($mail = null)
    {
        // validation for constraint: string
        if (!is_null($mail) && !is_string($mail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mail, true), gettype($mail)), __LINE__);
        }
        if (is_null($mail) || (is_array($mail) && empty($mail))) {
            unset($this->Mail);
        } else {
            $this->Mail = $mail;
        }
        return $this;
    }
    /**
     * Get MailIzin value
     * @return bool|null
     */
    public function getMailIzin()
    {
        return $this->MailIzin;
    }
    /**
     * Set MailIzin value
     * @param bool $mailIzin
     * @return \StructType\GetMailListModel
     */
    public function setMailIzin($mailIzin = null)
    {
        // validation for constraint: boolean
        if (!is_null($mailIzin) && !is_bool($mailIzin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($mailIzin, true), gettype($mailIzin)), __LINE__);
        }
        $this->MailIzin = $mailIzin;
        return $this;
    }
    /**
     * Get MailKod value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMailKod()
    {
        return isset($this->MailKod) ? $this->MailKod : null;
    }
    /**
     * Set MailKod value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mailKod
     * @return \StructType\GetMailListModel
     */
    public function setMailKod($mailKod = null)
    {
        // validation for constraint: string
        if (!is_null($mailKod) && !is_string($mailKod)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mailKod, true), gettype($mailKod)), __LINE__);
        }
        if (is_null($mailKod) || (is_array($mailKod) && empty($mailKod))) {
            unset($this->MailKod);
        } else {
            $this->MailKod = $mailKod;
        }
        return $this;
    }
    /**
     * Get SmsIzin value
     * @return bool|null
     */
    public function getSmsIzin()
    {
        return $this->SmsIzin;
    }
    /**
     * Set SmsIzin value
     * @param bool $smsIzin
     * @return \StructType\GetMailListModel
     */
    public function setSmsIzin($smsIzin = null)
    {
        // validation for constraint: boolean
        if (!is_null($smsIzin) && !is_bool($smsIzin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($smsIzin, true), gettype($smsIzin)), __LINE__);
        }
        $this->SmsIzin = $smsIzin;
        return $this;
    }
    /**
     * Get Soyisim value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSoyisim()
    {
        return isset($this->Soyisim) ? $this->Soyisim : null;
    }
    /**
     * Set Soyisim value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $soyisim
     * @return \StructType\GetMailListModel
     */
    public function setSoyisim($soyisim = null)
    {
        // validation for constraint: string
        if (!is_null($soyisim) && !is_string($soyisim)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($soyisim, true), gettype($soyisim)), __LINE__);
        }
        if (is_null($soyisim) || (is_array($soyisim) && empty($soyisim))) {
            unset($this->Soyisim);
        } else {
            $this->Soyisim = $soyisim;
        }
        return $this;
    }
    /**
     * Get Telefon value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTelefon()
    {
        return isset($this->Telefon) ? $this->Telefon : null;
    }
    /**
     * Set Telefon value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $telefon
     * @return \StructType\GetMailListModel
     */
    public function setTelefon($telefon = null)
    {
        // validation for constraint: string
        if (!is_null($telefon) && !is_string($telefon)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telefon, true), gettype($telefon)), __LINE__);
        }
        if (is_null($telefon) || (is_array($telefon) && empty($telefon))) {
            unset($this->Telefon);
        } else {
            $this->Telefon = $telefon;
        }
        return $this;
    }
}
