<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetMenuResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetMenuResponse
 * @subpackage Structs
 */
class GetMenuResponse extends WebServisResponse
{
    /**
     * The Menuler
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebMenu
     */
    public $Menuler;
    /**
     * The GetMenuResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\GetMenuResponse
     */
    public $GetMenuResult;
    /**
     * Constructor method for GetMenuResponse
     * @uses GetMenuResponse::setMenuler()
     * @uses GetMenuResponse::setGetMenuResult()
     * @param \ArrayType\ArrayOfWebMenu $menuler
     * @param \StructType\GetMenuResponse $getMenuResult
     */
    public function __construct(\ArrayType\ArrayOfWebMenu $menuler = null, \StructType\GetMenuResponse $getMenuResult = null)
    {
        $this
            ->setMenuler($menuler)
            ->setGetMenuResult($getMenuResult);
    }
    /**
     * Get Menuler value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebMenu|null
     */
    public function getMenuler()
    {
        return isset($this->Menuler) ? $this->Menuler : null;
    }
    /**
     * Set Menuler value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebMenu $menuler
     * @return \StructType\GetMenuResponse
     */
    public function setMenuler(\ArrayType\ArrayOfWebMenu $menuler = null)
    {
        if (is_null($menuler) || (is_array($menuler) && empty($menuler))) {
            unset($this->Menuler);
        } else {
            $this->Menuler = $menuler;
        }
        return $this;
    }
    /**
     * Get GetMenuResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\GetMenuResponse|null
     */
    public function getGetMenuResult()
    {
        return isset($this->GetMenuResult) ? $this->GetMenuResult : null;
    }
    /**
     * Set GetMenuResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\GetMenuResponse $getMenuResult
     * @return \StructType\GetMenuResponse
     */
    public function setGetMenuResult(\StructType\GetMenuResponse $getMenuResult = null)
    {
        if (is_null($getMenuResult) || (is_array($getMenuResult) && empty($getMenuResult))) {
            unset($this->GetMenuResult);
        } else {
            $this->GetMenuResult = $getMenuResult;
        }
        return $this;
    }
}
