<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetStokAlarmUrunlerResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetStokAlarmUrunlerResponse
 * @subpackage Structs
 */
class GetStokAlarmUrunlerResponse extends AbstractStructBase
{
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ErrorMessage;
    /**
     * The IsError
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $IsError;
    /**
     * The Urunler
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebStokAlarmUrunler
     */
    public $Urunler;
    /**
     * The GetStokAlarmUrunlerResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\GetStokAlarmUrunlerResponse
     */
    public $GetStokAlarmUrunlerResult;
    /**
     * Constructor method for GetStokAlarmUrunlerResponse
     * @uses GetStokAlarmUrunlerResponse::setErrorMessage()
     * @uses GetStokAlarmUrunlerResponse::setIsError()
     * @uses GetStokAlarmUrunlerResponse::setUrunler()
     * @uses GetStokAlarmUrunlerResponse::setGetStokAlarmUrunlerResult()
     * @param string $errorMessage
     * @param bool $isError
     * @param \ArrayType\ArrayOfWebStokAlarmUrunler $urunler
     * @param \StructType\GetStokAlarmUrunlerResponse $getStokAlarmUrunlerResult
     */
    public function __construct($errorMessage = null, $isError = null, \ArrayType\ArrayOfWebStokAlarmUrunler $urunler = null, \StructType\GetStokAlarmUrunlerResponse $getStokAlarmUrunlerResult = null)
    {
        $this
            ->setErrorMessage($errorMessage)
            ->setIsError($isError)
            ->setUrunler($urunler)
            ->setGetStokAlarmUrunlerResult($getStokAlarmUrunlerResult);
    }
    /**
     * Get ErrorMessage value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getErrorMessage()
    {
        return isset($this->ErrorMessage) ? $this->ErrorMessage : null;
    }
    /**
     * Set ErrorMessage value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $errorMessage
     * @return \StructType\GetStokAlarmUrunlerResponse
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        if (is_null($errorMessage) || (is_array($errorMessage) && empty($errorMessage))) {
            unset($this->ErrorMessage);
        } else {
            $this->ErrorMessage = $errorMessage;
        }
        return $this;
    }
    /**
     * Get IsError value
     * @return bool|null
     */
    public function getIsError()
    {
        return $this->IsError;
    }
    /**
     * Set IsError value
     * @param bool $isError
     * @return \StructType\GetStokAlarmUrunlerResponse
     */
    public function setIsError($isError = null)
    {
        // validation for constraint: boolean
        if (!is_null($isError) && !is_bool($isError)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isError, true), gettype($isError)), __LINE__);
        }
        $this->IsError = $isError;
        return $this;
    }
    /**
     * Get Urunler value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebStokAlarmUrunler|null
     */
    public function getUrunler()
    {
        return isset($this->Urunler) ? $this->Urunler : null;
    }
    /**
     * Set Urunler value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebStokAlarmUrunler $urunler
     * @return \StructType\GetStokAlarmUrunlerResponse
     */
    public function setUrunler(\ArrayType\ArrayOfWebStokAlarmUrunler $urunler = null)
    {
        if (is_null($urunler) || (is_array($urunler) && empty($urunler))) {
            unset($this->Urunler);
        } else {
            $this->Urunler = $urunler;
        }
        return $this;
    }
    /**
     * Get GetStokAlarmUrunlerResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\GetStokAlarmUrunlerResponse|null
     */
    public function getGetStokAlarmUrunlerResult()
    {
        return isset($this->GetStokAlarmUrunlerResult) ? $this->GetStokAlarmUrunlerResult : null;
    }
    /**
     * Set GetStokAlarmUrunlerResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\GetStokAlarmUrunlerResponse $getStokAlarmUrunlerResult
     * @return \StructType\GetStokAlarmUrunlerResponse
     */
    public function setGetStokAlarmUrunlerResult(\StructType\GetStokAlarmUrunlerResponse $getStokAlarmUrunlerResult = null)
    {
        if (is_null($getStokAlarmUrunlerResult) || (is_array($getStokAlarmUrunlerResult) && empty($getStokAlarmUrunlerResult))) {
            unset($this->GetStokAlarmUrunlerResult);
        } else {
            $this->GetStokAlarmUrunlerResult = $getStokAlarmUrunlerResult;
        }
        return $this;
    }
}
