<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MailList StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:MailList
 * @subpackage Structs
 */
class MailList extends AbstractStructBase
{
    /**
     * The EklemeTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EklemeTarihi;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The Isim
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Isim;
    /**
     * The Mail
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Mail;
    /**
     * The MailIzin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $MailIzin;
    /**
     * The SmsIzın
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $SmsIzın;
    /**
     * The Soyisim
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Soyisim;
    /**
     * The Telefon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Telefon;
    /**
     * Constructor method for MailList
     * @uses MailList::setEklemeTarihi()
     * @uses MailList::setID()
     * @uses MailList::setIsim()
     * @uses MailList::setMail()
     * @uses MailList::setMailIzin()
     * @uses MailList::setSmsIzın()
     * @uses MailList::setSoyisim()
     * @uses MailList::setTelefon()
     * @param string $eklemeTarihi
     * @param int $iD
     * @param string $isim
     * @param string $mail
     * @param bool $mailIzin
     * @param bool $smsIzın
     * @param string $soyisim
     * @param string $telefon
     */
    public function __construct($eklemeTarihi = null, $iD = null, $isim = null, $mail = null, $mailIzin = null, $smsIzın = null, $soyisim = null, $telefon = null)
    {
        $this
            ->setEklemeTarihi($eklemeTarihi)
            ->setID($iD)
            ->setIsim($isim)
            ->setMail($mail)
            ->setMailIzin($mailIzin)
            ->setSmsIzın($smsIzın)
            ->setSoyisim($soyisim)
            ->setTelefon($telefon);
    }
    /**
     * Get EklemeTarihi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEklemeTarihi()
    {
        return isset($this->EklemeTarihi) ? $this->EklemeTarihi : null;
    }
    /**
     * Set EklemeTarihi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $eklemeTarihi
     * @return \StructType\MailList
     */
    public function setEklemeTarihi($eklemeTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($eklemeTarihi) && !is_string($eklemeTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eklemeTarihi, true), gettype($eklemeTarihi)), __LINE__);
        }
        if (is_null($eklemeTarihi) || (is_array($eklemeTarihi) && empty($eklemeTarihi))) {
            unset($this->EklemeTarihi);
        } else {
            $this->EklemeTarihi = $eklemeTarihi;
        }
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\MailList
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !(is_int($iD) || ctype_digit($iD))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iD, true), gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Isim value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIsim()
    {
        return isset($this->Isim) ? $this->Isim : null;
    }
    /**
     * Set Isim value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $isim
     * @return \StructType\MailList
     */
    public function setIsim($isim = null)
    {
        // validation for constraint: string
        if (!is_null($isim) && !is_string($isim)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($isim, true), gettype($isim)), __LINE__);
        }
        if (is_null($isim) || (is_array($isim) && empty($isim))) {
            unset($this->Isim);
        } else {
            $this->Isim = $isim;
        }
        return $this;
    }
    /**
     * Get Mail value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMail()
    {
        return isset($this->Mail) ? $this->Mail : null;
    }
    /**
     * Set Mail value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mail
     * @return \StructType\MailList
     */
    public function setMail($mail = null)
    {
        // validation for constraint: string
        if (!is_null($mail) && !is_string($mail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mail, true), gettype($mail)), __LINE__);
        }
        if (is_null($mail) || (is_array($mail) && empty($mail))) {
            unset($this->Mail);
        } else {
            $this->Mail = $mail;
        }
        return $this;
    }
    /**
     * Get MailIzin value
     * @return bool|null
     */
    public function getMailIzin()
    {
        return $this->MailIzin;
    }
    /**
     * Set MailIzin value
     * @param bool $mailIzin
     * @return \StructType\MailList
     */
    public function setMailIzin($mailIzin = null)
    {
        // validation for constraint: boolean
        if (!is_null($mailIzin) && !is_bool($mailIzin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($mailIzin, true), gettype($mailIzin)), __LINE__);
        }
        $this->MailIzin = $mailIzin;
        return $this;
    }
    /**
     * Get SmsIzın value
     * @return bool|null
     */
    public function getSmsIzın()
    {
        return $this->SmsIzın;
    }
    /**
     * Set SmsIzın value
     * @param bool $smsIzın
     * @return \StructType\MailList
     */
    public function setSmsIzın($smsIzın = null)
    {
        // validation for constraint: boolean
        if (!is_null($smsIzın) && !is_bool($smsIzın)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($smsIzın, true), gettype($smsIzın)), __LINE__);
        }
        $this->SmsIzın = $smsIzın;
        return $this;
    }
    /**
     * Get Soyisim value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSoyisim()
    {
        return isset($this->Soyisim) ? $this->Soyisim : null;
    }
    /**
     * Set Soyisim value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $soyisim
     * @return \StructType\MailList
     */
    public function setSoyisim($soyisim = null)
    {
        // validation for constraint: string
        if (!is_null($soyisim) && !is_string($soyisim)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($soyisim, true), gettype($soyisim)), __LINE__);
        }
        if (is_null($soyisim) || (is_array($soyisim) && empty($soyisim))) {
            unset($this->Soyisim);
        } else {
            $this->Soyisim = $soyisim;
        }
        return $this;
    }
    /**
     * Get Telefon value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTelefon()
    {
        return isset($this->Telefon) ? $this->Telefon : null;
    }
    /**
     * Set Telefon value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $telefon
     * @return \StructType\MailList
     */
    public function setTelefon($telefon = null)
    {
        // validation for constraint: string
        if (!is_null($telefon) && !is_string($telefon)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telefon, true), gettype($telefon)), __LINE__);
        }
        if (is_null($telefon) || (is_array($telefon) && empty($telefon))) {
            unset($this->Telefon);
        } else {
            $this->Telefon = $telefon;
        }
        return $this;
    }
}
