<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveMailList StructType
 * @subpackage Structs
 */
class SaveMailList extends AbstractStructBase
{
    /**
     * The UyeKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeKodu;
    /**
     * The mailList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\MailList
     */
    public $mailList;
    /**
     * Constructor method for SaveMailList
     * @uses SaveMailList::setUyeKodu()
     * @uses SaveMailList::setMailList()
     * @param string $uyeKodu
     * @param \StructType\MailList $mailList
     */
    public function __construct($uyeKodu = null, \StructType\MailList $mailList = null)
    {
        $this
            ->setUyeKodu($uyeKodu)
            ->setMailList($mailList);
    }
    /**
     * Get UyeKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeKodu()
    {
        return isset($this->UyeKodu) ? $this->UyeKodu : null;
    }
    /**
     * Set UyeKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeKodu
     * @return \StructType\SaveMailList
     */
    public function setUyeKodu($uyeKodu = null)
    {
        // validation for constraint: string
        if (!is_null($uyeKodu) && !is_string($uyeKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeKodu, true), gettype($uyeKodu)), __LINE__);
        }
        if (is_null($uyeKodu) || (is_array($uyeKodu) && empty($uyeKodu))) {
            unset($this->UyeKodu);
        } else {
            $this->UyeKodu = $uyeKodu;
        }
        return $this;
    }
    /**
     * Get mailList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\MailList|null
     */
    public function getMailList()
    {
        return isset($this->mailList) ? $this->mailList : null;
    }
    /**
     * Set mailList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\MailList $mailList
     * @return \StructType\SaveMailList
     */
    public function setMailList(\StructType\MailList $mailList = null)
    {
        if (is_null($mailList) || (is_array($mailList) && empty($mailList))) {
            unset($this->mailList);
        } else {
            $this->mailList = $mailList;
        }
        return $this;
    }
}
