<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveMailListResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SaveMailListResponse
 * @subpackage Structs
 */
class SaveMailListResponse extends WebServisResponse
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Id;
    /**
     * The SaveMailListResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SaveMailListResponse
     */
    public $SaveMailListResult;
    /**
     * Constructor method for SaveMailListResponse
     * @uses SaveMailListResponse::setId()
     * @uses SaveMailListResponse::setSaveMailListResult()
     * @param float $id
     * @param \StructType\SaveMailListResponse $saveMailListResult
     */
    public function __construct($id = null, \StructType\SaveMailListResponse $saveMailListResult = null)
    {
        $this
            ->setId($id)
            ->setSaveMailListResult($saveMailListResult);
    }
    /**
     * Get Id value
     * @return float|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param float $id
     * @return \StructType\SaveMailListResponse
     */
    public function setId($id = null)
    {
        // validation for constraint: float
        if (!is_null($id) && !(is_float($id) || is_numeric($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get SaveMailListResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SaveMailListResponse|null
     */
    public function getSaveMailListResult()
    {
        return isset($this->SaveMailListResult) ? $this->SaveMailListResult : null;
    }
    /**
     * Set SaveMailListResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SaveMailListResponse $saveMailListResult
     * @return \StructType\SaveMailListResponse
     */
    public function setSaveMailListResult(\StructType\SaveMailListResponse $saveMailListResult = null)
    {
        if (is_null($saveMailListResult) || (is_array($saveMailListResult) && empty($saveMailListResult))) {
            unset($this->SaveMailListResult);
        } else {
            $this->SaveMailListResult = $saveMailListResult;
        }
        return $this;
    }
}
