<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveMenuRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SaveMenuRequest
 * @subpackage Structs
 */
class SaveMenuRequest extends AbstractStructBase
{
    /**
     * The Dil
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Dil;
    /**
     * The Menuler
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebMenu
     */
    public $Menuler;
    /**
     * Constructor method for SaveMenuRequest
     * @uses SaveMenuRequest::setDil()
     * @uses SaveMenuRequest::setMenuler()
     * @param string $dil
     * @param \ArrayType\ArrayOfWebMenu $menuler
     */
    public function __construct($dil = null, \ArrayType\ArrayOfWebMenu $menuler = null)
    {
        $this
            ->setDil($dil)
            ->setMenuler($menuler);
    }
    /**
     * Get Dil value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDil()
    {
        return isset($this->Dil) ? $this->Dil : null;
    }
    /**
     * Set Dil value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dil
     * @return \StructType\SaveMenuRequest
     */
    public function setDil($dil = null)
    {
        // validation for constraint: string
        if (!is_null($dil) && !is_string($dil)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dil, true), gettype($dil)), __LINE__);
        }
        if (is_null($dil) || (is_array($dil) && empty($dil))) {
            unset($this->Dil);
        } else {
            $this->Dil = $dil;
        }
        return $this;
    }
    /**
     * Get Menuler value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebMenu|null
     */
    public function getMenuler()
    {
        return isset($this->Menuler) ? $this->Menuler : null;
    }
    /**
     * Set Menuler value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebMenu $menuler
     * @return \StructType\SaveMenuRequest
     */
    public function setMenuler(\ArrayType\ArrayOfWebMenu $menuler = null)
    {
        if (is_null($menuler) || (is_array($menuler) && empty($menuler))) {
            unset($this->Menuler);
        } else {
            $this->Menuler = $menuler;
        }
        return $this;
    }
}
