<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveWebhookResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SaveWebhookResponse
 * @subpackage Structs
 */
class SaveWebhookResponse extends WebServisResponse
{
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The SaveWebhookResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SaveWebhookResponse
     */
    public $SaveWebhookResult;
    /**
     * Constructor method for SaveWebhookResponse
     * @uses SaveWebhookResponse::setID()
     * @uses SaveWebhookResponse::setSaveWebhookResult()
     * @param int $iD
     * @param \StructType\SaveWebhookResponse $saveWebhookResult
     */
    public function __construct($iD = null, \StructType\SaveWebhookResponse $saveWebhookResult = null)
    {
        $this
            ->setID($iD)
            ->setSaveWebhookResult($saveWebhookResult);
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\SaveWebhookResponse
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !(is_int($iD) || ctype_digit($iD))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iD, true), gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get SaveWebhookResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SaveWebhookResponse|null
     */
    public function getSaveWebhookResult()
    {
        return isset($this->SaveWebhookResult) ? $this->SaveWebhookResult : null;
    }
    /**
     * Set SaveWebhookResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SaveWebhookResponse $saveWebhookResult
     * @return \StructType\SaveWebhookResponse
     */
    public function setSaveWebhookResult(\StructType\SaveWebhookResponse $saveWebhookResult = null)
    {
        if (is_null($saveWebhookResult) || (is_array($saveWebhookResult) && empty($saveWebhookResult))) {
            unset($this->SaveWebhookResult);
        } else {
            $this->SaveWebhookResult = $saveWebhookResult;
        }
        return $this;
    }
}
