<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectBankaResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SelectBankaResponse
 * @subpackage Structs
 */
class SelectBankaResponse extends WebServisResponse
{
    /**
     * The BankaList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebBanka
     */
    public $BankaList;
    /**
     * The SelectBankaResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SelectBankaResponse
     */
    public $SelectBankaResult;
    /**
     * Constructor method for SelectBankaResponse
     * @uses SelectBankaResponse::setBankaList()
     * @uses SelectBankaResponse::setSelectBankaResult()
     * @param \ArrayType\ArrayOfWebBanka $bankaList
     * @param \StructType\SelectBankaResponse $selectBankaResult
     */
    public function __construct(\ArrayType\ArrayOfWebBanka $bankaList = null, \StructType\SelectBankaResponse $selectBankaResult = null)
    {
        $this
            ->setBankaList($bankaList)
            ->setSelectBankaResult($selectBankaResult);
    }
    /**
     * Get BankaList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebBanka|null
     */
    public function getBankaList()
    {
        return isset($this->BankaList) ? $this->BankaList : null;
    }
    /**
     * Set BankaList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebBanka $bankaList
     * @return \StructType\SelectBankaResponse
     */
    public function setBankaList(\ArrayType\ArrayOfWebBanka $bankaList = null)
    {
        if (is_null($bankaList) || (is_array($bankaList) && empty($bankaList))) {
            unset($this->BankaList);
        } else {
            $this->BankaList = $bankaList;
        }
        return $this;
    }
    /**
     * Get SelectBankaResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SelectBankaResponse|null
     */
    public function getSelectBankaResult()
    {
        return isset($this->SelectBankaResult) ? $this->SelectBankaResult : null;
    }
    /**
     * Set SelectBankaResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SelectBankaResponse $selectBankaResult
     * @return \StructType\SelectBankaResponse
     */
    public function setSelectBankaResult(\StructType\SelectBankaResponse $selectBankaResult = null)
    {
        if (is_null($selectBankaResult) || (is_array($selectBankaResult) && empty($selectBankaResult))) {
            unset($this->SelectBankaResult);
        } else {
            $this->SelectBankaResult = $selectBankaResult;
        }
        return $this;
    }
}
