<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectIadeOdemeListesiRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SelectIadeOdemeListesiRequest
 * @subpackage Structs
 */
class SelectIadeOdemeListesiRequest extends AbstractStructBase
{
    /**
     * The KullaniciID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $KullaniciID;
    /**
     * The OdemeDurumu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $OdemeDurumu;
    /**
     * The OdemeTipi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $OdemeTipi;
    /**
     * The SiparisID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $SiparisID;
    /**
     * The TarihBaslangic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TarihBaslangic;
    /**
     * The TarihBitis
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TarihBitis;
    /**
     * The UyeID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $UyeID;
    /**
     * Constructor method for SelectIadeOdemeListesiRequest
     * @uses SelectIadeOdemeListesiRequest::setKullaniciID()
     * @uses SelectIadeOdemeListesiRequest::setOdemeDurumu()
     * @uses SelectIadeOdemeListesiRequest::setOdemeTipi()
     * @uses SelectIadeOdemeListesiRequest::setSiparisID()
     * @uses SelectIadeOdemeListesiRequest::setTarihBaslangic()
     * @uses SelectIadeOdemeListesiRequest::setTarihBitis()
     * @uses SelectIadeOdemeListesiRequest::setUyeID()
     * @param int $kullaniciID
     * @param string $odemeDurumu
     * @param int $odemeTipi
     * @param int $siparisID
     * @param string $tarihBaslangic
     * @param string $tarihBitis
     * @param int $uyeID
     */
    public function __construct($kullaniciID = null, $odemeDurumu = null, $odemeTipi = null, $siparisID = null, $tarihBaslangic = null, $tarihBitis = null, $uyeID = null)
    {
        $this
            ->setKullaniciID($kullaniciID)
            ->setOdemeDurumu($odemeDurumu)
            ->setOdemeTipi($odemeTipi)
            ->setSiparisID($siparisID)
            ->setTarihBaslangic($tarihBaslangic)
            ->setTarihBitis($tarihBitis)
            ->setUyeID($uyeID);
    }
    /**
     * Get KullaniciID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getKullaniciID()
    {
        return isset($this->KullaniciID) ? $this->KullaniciID : null;
    }
    /**
     * Set KullaniciID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $kullaniciID
     * @return \StructType\SelectIadeOdemeListesiRequest
     */
    public function setKullaniciID($kullaniciID = null)
    {
        // validation for constraint: int
        if (!is_null($kullaniciID) && !(is_int($kullaniciID) || ctype_digit($kullaniciID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($kullaniciID, true), gettype($kullaniciID)), __LINE__);
        }
        if (is_null($kullaniciID) || (is_array($kullaniciID) && empty($kullaniciID))) {
            unset($this->KullaniciID);
        } else {
            $this->KullaniciID = $kullaniciID;
        }
        return $this;
    }
    /**
     * Get OdemeDurumu value
     * @return string|null
     */
    public function getOdemeDurumu()
    {
        return $this->OdemeDurumu;
    }
    /**
     * Set OdemeDurumu value
     * @uses \EnumType\WebIadeOdemeDurum::valueIsValid()
     * @uses \EnumType\WebIadeOdemeDurum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $odemeDurumu
     * @return \StructType\SelectIadeOdemeListesiRequest
     */
    public function setOdemeDurumu($odemeDurumu = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\WebIadeOdemeDurum::valueIsValid($odemeDurumu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\WebIadeOdemeDurum', is_array($odemeDurumu) ? implode(', ', $odemeDurumu) : var_export($odemeDurumu, true), implode(', ', \EnumType\WebIadeOdemeDurum::getValidValues())), __LINE__);
        }
        $this->OdemeDurumu = $odemeDurumu;
        return $this;
    }
    /**
     * Get OdemeTipi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getOdemeTipi()
    {
        return isset($this->OdemeTipi) ? $this->OdemeTipi : null;
    }
    /**
     * Set OdemeTipi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $odemeTipi
     * @return \StructType\SelectIadeOdemeListesiRequest
     */
    public function setOdemeTipi($odemeTipi = null)
    {
        // validation for constraint: int
        if (!is_null($odemeTipi) && !(is_int($odemeTipi) || ctype_digit($odemeTipi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($odemeTipi, true), gettype($odemeTipi)), __LINE__);
        }
        if (is_null($odemeTipi) || (is_array($odemeTipi) && empty($odemeTipi))) {
            unset($this->OdemeTipi);
        } else {
            $this->OdemeTipi = $odemeTipi;
        }
        return $this;
    }
    /**
     * Get SiparisID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getSiparisID()
    {
        return isset($this->SiparisID) ? $this->SiparisID : null;
    }
    /**
     * Set SiparisID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $siparisID
     * @return \StructType\SelectIadeOdemeListesiRequest
     */
    public function setSiparisID($siparisID = null)
    {
        // validation for constraint: int
        if (!is_null($siparisID) && !(is_int($siparisID) || ctype_digit($siparisID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisID, true), gettype($siparisID)), __LINE__);
        }
        if (is_null($siparisID) || (is_array($siparisID) && empty($siparisID))) {
            unset($this->SiparisID);
        } else {
            $this->SiparisID = $siparisID;
        }
        return $this;
    }
    /**
     * Get TarihBaslangic value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTarihBaslangic()
    {
        return isset($this->TarihBaslangic) ? $this->TarihBaslangic : null;
    }
    /**
     * Set TarihBaslangic value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tarihBaslangic
     * @return \StructType\SelectIadeOdemeListesiRequest
     */
    public function setTarihBaslangic($tarihBaslangic = null)
    {
        // validation for constraint: string
        if (!is_null($tarihBaslangic) && !is_string($tarihBaslangic)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tarihBaslangic, true), gettype($tarihBaslangic)), __LINE__);
        }
        if (is_null($tarihBaslangic) || (is_array($tarihBaslangic) && empty($tarihBaslangic))) {
            unset($this->TarihBaslangic);
        } else {
            $this->TarihBaslangic = $tarihBaslangic;
        }
        return $this;
    }
    /**
     * Get TarihBitis value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTarihBitis()
    {
        return isset($this->TarihBitis) ? $this->TarihBitis : null;
    }
    /**
     * Set TarihBitis value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tarihBitis
     * @return \StructType\SelectIadeOdemeListesiRequest
     */
    public function setTarihBitis($tarihBitis = null)
    {
        // validation for constraint: string
        if (!is_null($tarihBitis) && !is_string($tarihBitis)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tarihBitis, true), gettype($tarihBitis)), __LINE__);
        }
        if (is_null($tarihBitis) || (is_array($tarihBitis) && empty($tarihBitis))) {
            unset($this->TarihBitis);
        } else {
            $this->TarihBitis = $tarihBitis;
        }
        return $this;
    }
    /**
     * Get UyeID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getUyeID()
    {
        return isset($this->UyeID) ? $this->UyeID : null;
    }
    /**
     * Set UyeID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $uyeID
     * @return \StructType\SelectIadeOdemeListesiRequest
     */
    public function setUyeID($uyeID = null)
    {
        // validation for constraint: int
        if (!is_null($uyeID) && !(is_int($uyeID) || ctype_digit($uyeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeID, true), gettype($uyeID)), __LINE__);
        }
        if (is_null($uyeID) || (is_array($uyeID) && empty($uyeID))) {
            unset($this->UyeID);
        } else {
            $this->UyeID = $uyeID;
        }
        return $this;
    }
}
