<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectUlkeler StructType
 * @subpackage Structs
 */
class SelectUlkeler extends AbstractStructBase
{
    /**
     * The UyeKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeKodu;
    /**
     * The SelectRequest
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SelectUlkeRequest
     */
    public $SelectRequest;
    /**
     * Constructor method for SelectUlkeler
     * @uses SelectUlkeler::setUyeKodu()
     * @uses SelectUlkeler::setSelectRequest()
     * @param string $uyeKodu
     * @param \StructType\SelectUlkeRequest $selectRequest
     */
    public function __construct($uyeKodu = null, \StructType\SelectUlkeRequest $selectRequest = null)
    {
        $this
            ->setUyeKodu($uyeKodu)
            ->setSelectRequest($selectRequest);
    }
    /**
     * Get UyeKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeKodu()
    {
        return isset($this->UyeKodu) ? $this->UyeKodu : null;
    }
    /**
     * Set UyeKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeKodu
     * @return \StructType\SelectUlkeler
     */
    public function setUyeKodu($uyeKodu = null)
    {
        // validation for constraint: string
        if (!is_null($uyeKodu) && !is_string($uyeKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeKodu, true), gettype($uyeKodu)), __LINE__);
        }
        if (is_null($uyeKodu) || (is_array($uyeKodu) && empty($uyeKodu))) {
            unset($this->UyeKodu);
        } else {
            $this->UyeKodu = $uyeKodu;
        }
        return $this;
    }
    /**
     * Get SelectRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SelectUlkeRequest|null
     */
    public function getSelectRequest()
    {
        return isset($this->SelectRequest) ? $this->SelectRequest : null;
    }
    /**
     * Set SelectRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SelectUlkeRequest $selectRequest
     * @return \StructType\SelectUlkeler
     */
    public function setSelectRequest(\StructType\SelectUlkeRequest $selectRequest = null)
    {
        if (is_null($selectRequest) || (is_array($selectRequest) && empty($selectRequest))) {
            unset($this->SelectRequest);
        } else {
            $this->SelectRequest = $selectRequest;
        }
        return $this;
    }
}
