<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectWebhookResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SelectWebhookResponse
 * @subpackage Structs
 */
class SelectWebhookResponse extends WebServisResponse
{
    /**
     * The WebhookList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebhook
     */
    public $WebhookList;
    /**
     * The SelectWebhookResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SelectWebhookResponse
     */
    public $SelectWebhookResult;
    /**
     * Constructor method for SelectWebhookResponse
     * @uses SelectWebhookResponse::setWebhookList()
     * @uses SelectWebhookResponse::setSelectWebhookResult()
     * @param \ArrayType\ArrayOfWebhook $webhookList
     * @param \StructType\SelectWebhookResponse $selectWebhookResult
     */
    public function __construct(\ArrayType\ArrayOfWebhook $webhookList = null, \StructType\SelectWebhookResponse $selectWebhookResult = null)
    {
        $this
            ->setWebhookList($webhookList)
            ->setSelectWebhookResult($selectWebhookResult);
    }
    /**
     * Get WebhookList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebhook|null
     */
    public function getWebhookList()
    {
        return isset($this->WebhookList) ? $this->WebhookList : null;
    }
    /**
     * Set WebhookList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebhook $webhookList
     * @return \StructType\SelectWebhookResponse
     */
    public function setWebhookList(\ArrayType\ArrayOfWebhook $webhookList = null)
    {
        if (is_null($webhookList) || (is_array($webhookList) && empty($webhookList))) {
            unset($this->WebhookList);
        } else {
            $this->WebhookList = $webhookList;
        }
        return $this;
    }
    /**
     * Get SelectWebhookResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SelectWebhookResponse|null
     */
    public function getSelectWebhookResult()
    {
        return isset($this->SelectWebhookResult) ? $this->SelectWebhookResult : null;
    }
    /**
     * Set SelectWebhookResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SelectWebhookResponse $selectWebhookResult
     * @return \StructType\SelectWebhookResponse
     */
    public function setSelectWebhookResult(\StructType\SelectWebhookResponse $selectWebhookResult = null)
    {
        if (is_null($selectWebhookResult) || (is_array($selectWebhookResult) && empty($selectWebhookResult))) {
            unset($this->SelectWebhookResult);
        } else {
            $this->SelectWebhookResult = $selectWebhookResult;
        }
        return $this;
    }
}
