<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServisGetSupportTicketSubjectsResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ServisGetSupportTicketSubjectsResponse
 * @subpackage Structs
 */
class ServisGetSupportTicketSubjectsResponse extends AbstractStructBase
{
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ErrorMessage;
    /**
     * The IsError
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $IsError;
    /**
     * The Subjects
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfServisSupportTicketSubject
     */
    public $Subjects;
    /**
     * Constructor method for ServisGetSupportTicketSubjectsResponse
     * @uses ServisGetSupportTicketSubjectsResponse::setErrorMessage()
     * @uses ServisGetSupportTicketSubjectsResponse::setIsError()
     * @uses ServisGetSupportTicketSubjectsResponse::setSubjects()
     * @param string $errorMessage
     * @param bool $isError
     * @param \ArrayType\ArrayOfServisSupportTicketSubject $subjects
     */
    public function __construct($errorMessage = null, $isError = null, \ArrayType\ArrayOfServisSupportTicketSubject $subjects = null)
    {
        $this
            ->setErrorMessage($errorMessage)
            ->setIsError($isError)
            ->setSubjects($subjects);
    }
    /**
     * Get ErrorMessage value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getErrorMessage()
    {
        return isset($this->ErrorMessage) ? $this->ErrorMessage : null;
    }
    /**
     * Set ErrorMessage value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $errorMessage
     * @return \StructType\ServisGetSupportTicketSubjectsResponse
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        if (is_null($errorMessage) || (is_array($errorMessage) && empty($errorMessage))) {
            unset($this->ErrorMessage);
        } else {
            $this->ErrorMessage = $errorMessage;
        }
        return $this;
    }
    /**
     * Get IsError value
     * @return bool|null
     */
    public function getIsError()
    {
        return $this->IsError;
    }
    /**
     * Set IsError value
     * @param bool $isError
     * @return \StructType\ServisGetSupportTicketSubjectsResponse
     */
    public function setIsError($isError = null)
    {
        // validation for constraint: boolean
        if (!is_null($isError) && !is_bool($isError)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isError, true), gettype($isError)), __LINE__);
        }
        $this->IsError = $isError;
        return $this;
    }
    /**
     * Get Subjects value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfServisSupportTicketSubject|null
     */
    public function getSubjects()
    {
        return isset($this->Subjects) ? $this->Subjects : null;
    }
    /**
     * Set Subjects value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfServisSupportTicketSubject $subjects
     * @return \StructType\ServisGetSupportTicketSubjectsResponse
     */
    public function setSubjects(\ArrayType\ArrayOfServisSupportTicketSubject $subjects = null)
    {
        if (is_null($subjects) || (is_array($subjects) && empty($subjects))) {
            unset($this->Subjects);
        } else {
            $this->Subjects = $subjects;
        }
        return $this;
    }
}
