<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServisMusteriCevap StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ServisMusteriCevap
 * @subpackage Structs
 */
class ServisMusteriCevap extends AbstractStructBase
{
    /**
     * The Cevap
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Cevap;
    /**
     * The Cevaplayan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Cevaplayan;
    /**
     * The CevaplayanStr
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CevaplayanStr;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The KonusmaTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $KonusmaTarihi;
    /**
     * The TalepID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TalepID;
    /**
     * The UyeAdi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeAdi;
    /**
     * The UyeID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UyeID;
    /**
     * Constructor method for ServisMusteriCevap
     * @uses ServisMusteriCevap::setCevap()
     * @uses ServisMusteriCevap::setCevaplayan()
     * @uses ServisMusteriCevap::setCevaplayanStr()
     * @uses ServisMusteriCevap::setID()
     * @uses ServisMusteriCevap::setKonusmaTarihi()
     * @uses ServisMusteriCevap::setTalepID()
     * @uses ServisMusteriCevap::setUyeAdi()
     * @uses ServisMusteriCevap::setUyeID()
     * @param string $cevap
     * @param int $cevaplayan
     * @param string $cevaplayanStr
     * @param int $iD
     * @param string $konusmaTarihi
     * @param int $talepID
     * @param string $uyeAdi
     * @param int $uyeID
     */
    public function __construct($cevap = null, $cevaplayan = null, $cevaplayanStr = null, $iD = null, $konusmaTarihi = null, $talepID = null, $uyeAdi = null, $uyeID = null)
    {
        $this
            ->setCevap($cevap)
            ->setCevaplayan($cevaplayan)
            ->setCevaplayanStr($cevaplayanStr)
            ->setID($iD)
            ->setKonusmaTarihi($konusmaTarihi)
            ->setTalepID($talepID)
            ->setUyeAdi($uyeAdi)
            ->setUyeID($uyeID);
    }
    /**
     * Get Cevap value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCevap()
    {
        return isset($this->Cevap) ? $this->Cevap : null;
    }
    /**
     * Set Cevap value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cevap
     * @return \StructType\ServisMusteriCevap
     */
    public function setCevap($cevap = null)
    {
        // validation for constraint: string
        if (!is_null($cevap) && !is_string($cevap)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cevap, true), gettype($cevap)), __LINE__);
        }
        if (is_null($cevap) || (is_array($cevap) && empty($cevap))) {
            unset($this->Cevap);
        } else {
            $this->Cevap = $cevap;
        }
        return $this;
    }
    /**
     * Get Cevaplayan value
     * @return int|null
     */
    public function getCevaplayan()
    {
        return $this->Cevaplayan;
    }
    /**
     * Set Cevaplayan value
     * @param int $cevaplayan
     * @return \StructType\ServisMusteriCevap
     */
    public function setCevaplayan($cevaplayan = null)
    {
        // validation for constraint: int
        if (!is_null($cevaplayan) && !(is_int($cevaplayan) || ctype_digit($cevaplayan))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cevaplayan, true), gettype($cevaplayan)), __LINE__);
        }
        $this->Cevaplayan = $cevaplayan;
        return $this;
    }
    /**
     * Get CevaplayanStr value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCevaplayanStr()
    {
        return isset($this->CevaplayanStr) ? $this->CevaplayanStr : null;
    }
    /**
     * Set CevaplayanStr value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cevaplayanStr
     * @return \StructType\ServisMusteriCevap
     */
    public function setCevaplayanStr($cevaplayanStr = null)
    {
        // validation for constraint: string
        if (!is_null($cevaplayanStr) && !is_string($cevaplayanStr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cevaplayanStr, true), gettype($cevaplayanStr)), __LINE__);
        }
        if (is_null($cevaplayanStr) || (is_array($cevaplayanStr) && empty($cevaplayanStr))) {
            unset($this->CevaplayanStr);
        } else {
            $this->CevaplayanStr = $cevaplayanStr;
        }
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\ServisMusteriCevap
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !(is_int($iD) || ctype_digit($iD))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iD, true), gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get KonusmaTarihi value
     * @return string|null
     */
    public function getKonusmaTarihi()
    {
        return $this->KonusmaTarihi;
    }
    /**
     * Set KonusmaTarihi value
     * @param string $konusmaTarihi
     * @return \StructType\ServisMusteriCevap
     */
    public function setKonusmaTarihi($konusmaTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($konusmaTarihi) && !is_string($konusmaTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($konusmaTarihi, true), gettype($konusmaTarihi)), __LINE__);
        }
        $this->KonusmaTarihi = $konusmaTarihi;
        return $this;
    }
    /**
     * Get TalepID value
     * @return int|null
     */
    public function getTalepID()
    {
        return $this->TalepID;
    }
    /**
     * Set TalepID value
     * @param int $talepID
     * @return \StructType\ServisMusteriCevap
     */
    public function setTalepID($talepID = null)
    {
        // validation for constraint: int
        if (!is_null($talepID) && !(is_int($talepID) || ctype_digit($talepID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($talepID, true), gettype($talepID)), __LINE__);
        }
        $this->TalepID = $talepID;
        return $this;
    }
    /**
     * Get UyeAdi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeAdi()
    {
        return isset($this->UyeAdi) ? $this->UyeAdi : null;
    }
    /**
     * Set UyeAdi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeAdi
     * @return \StructType\ServisMusteriCevap
     */
    public function setUyeAdi($uyeAdi = null)
    {
        // validation for constraint: string
        if (!is_null($uyeAdi) && !is_string($uyeAdi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeAdi, true), gettype($uyeAdi)), __LINE__);
        }
        if (is_null($uyeAdi) || (is_array($uyeAdi) && empty($uyeAdi))) {
            unset($this->UyeAdi);
        } else {
            $this->UyeAdi = $uyeAdi;
        }
        return $this;
    }
    /**
     * Get UyeID value
     * @return int|null
     */
    public function getUyeID()
    {
        return $this->UyeID;
    }
    /**
     * Set UyeID value
     * @param int $uyeID
     * @return \StructType\ServisMusteriCevap
     */
    public function setUyeID($uyeID = null)
    {
        // validation for constraint: int
        if (!is_null($uyeID) && !(is_int($uyeID) || ctype_digit($uyeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeID, true), gettype($uyeID)), __LINE__);
        }
        $this->UyeID = $uyeID;
        return $this;
    }
}
