<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServisSaveSupportTicketRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ServisSaveSupportTicketRequest
 * @subpackage Structs
 */
class ServisSaveSupportTicketRequest extends AbstractStructBase
{
    /**
     * The Baslik
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Baslik;
    /**
     * The Cevaplayan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Cevaplayan;
    /**
     * The KonuId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $KonuId;
    /**
     * The Mesaj
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Mesaj;
    /**
     * The UyeID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UyeID;
    /**
     * Constructor method for ServisSaveSupportTicketRequest
     * @uses ServisSaveSupportTicketRequest::setBaslik()
     * @uses ServisSaveSupportTicketRequest::setCevaplayan()
     * @uses ServisSaveSupportTicketRequest::setKonuId()
     * @uses ServisSaveSupportTicketRequest::setMesaj()
     * @uses ServisSaveSupportTicketRequest::setUyeID()
     * @param string $baslik
     * @param int $cevaplayan
     * @param int $konuId
     * @param string $mesaj
     * @param int $uyeID
     */
    public function __construct($baslik = null, $cevaplayan = null, $konuId = null, $mesaj = null, $uyeID = null)
    {
        $this
            ->setBaslik($baslik)
            ->setCevaplayan($cevaplayan)
            ->setKonuId($konuId)
            ->setMesaj($mesaj)
            ->setUyeID($uyeID);
    }
    /**
     * Get Baslik value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBaslik()
    {
        return isset($this->Baslik) ? $this->Baslik : null;
    }
    /**
     * Set Baslik value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $baslik
     * @return \StructType\ServisSaveSupportTicketRequest
     */
    public function setBaslik($baslik = null)
    {
        // validation for constraint: string
        if (!is_null($baslik) && !is_string($baslik)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($baslik, true), gettype($baslik)), __LINE__);
        }
        if (is_null($baslik) || (is_array($baslik) && empty($baslik))) {
            unset($this->Baslik);
        } else {
            $this->Baslik = $baslik;
        }
        return $this;
    }
    /**
     * Get Cevaplayan value
     * @return int|null
     */
    public function getCevaplayan()
    {
        return $this->Cevaplayan;
    }
    /**
     * Set Cevaplayan value
     * @param int $cevaplayan
     * @return \StructType\ServisSaveSupportTicketRequest
     */
    public function setCevaplayan($cevaplayan = null)
    {
        // validation for constraint: int
        if (!is_null($cevaplayan) && !(is_int($cevaplayan) || ctype_digit($cevaplayan))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cevaplayan, true), gettype($cevaplayan)), __LINE__);
        }
        $this->Cevaplayan = $cevaplayan;
        return $this;
    }
    /**
     * Get KonuId value
     * @return int|null
     */
    public function getKonuId()
    {
        return $this->KonuId;
    }
    /**
     * Set KonuId value
     * @param int $konuId
     * @return \StructType\ServisSaveSupportTicketRequest
     */
    public function setKonuId($konuId = null)
    {
        // validation for constraint: int
        if (!is_null($konuId) && !(is_int($konuId) || ctype_digit($konuId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($konuId, true), gettype($konuId)), __LINE__);
        }
        $this->KonuId = $konuId;
        return $this;
    }
    /**
     * Get Mesaj value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMesaj()
    {
        return isset($this->Mesaj) ? $this->Mesaj : null;
    }
    /**
     * Set Mesaj value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mesaj
     * @return \StructType\ServisSaveSupportTicketRequest
     */
    public function setMesaj($mesaj = null)
    {
        // validation for constraint: string
        if (!is_null($mesaj) && !is_string($mesaj)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mesaj, true), gettype($mesaj)), __LINE__);
        }
        if (is_null($mesaj) || (is_array($mesaj) && empty($mesaj))) {
            unset($this->Mesaj);
        } else {
            $this->Mesaj = $mesaj;
        }
        return $this;
    }
    /**
     * Get UyeID value
     * @return int|null
     */
    public function getUyeID()
    {
        return $this->UyeID;
    }
    /**
     * Set UyeID value
     * @param int $uyeID
     * @return \StructType\ServisSaveSupportTicketRequest
     */
    public function setUyeID($uyeID = null)
    {
        // validation for constraint: int
        if (!is_null($uyeID) && !(is_int($uyeID) || ctype_digit($uyeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeID, true), gettype($uyeID)), __LINE__);
        }
        $this->UyeID = $uyeID;
        return $this;
    }
}
