<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebDegisimTalepGuncelleRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:WebDegisimTalepGuncelleRequest
 * @subpackage Structs
 */
class WebDegisimTalepGuncelleRequest extends AbstractStructBase
{
    /**
     * The MailGonder
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $MailGonder;
    /**
     * The Talep
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DegisimTalepUpdate
     */
    public $Talep;
    /**
     * The UrunleriGuncelle
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $UrunleriGuncelle;
    /**
     * Constructor method for WebDegisimTalepGuncelleRequest
     * @uses WebDegisimTalepGuncelleRequest::setMailGonder()
     * @uses WebDegisimTalepGuncelleRequest::setTalep()
     * @uses WebDegisimTalepGuncelleRequest::setUrunleriGuncelle()
     * @param bool $mailGonder
     * @param \StructType\DegisimTalepUpdate $talep
     * @param bool $urunleriGuncelle
     */
    public function __construct($mailGonder = null, \StructType\DegisimTalepUpdate $talep = null, $urunleriGuncelle = null)
    {
        $this
            ->setMailGonder($mailGonder)
            ->setTalep($talep)
            ->setUrunleriGuncelle($urunleriGuncelle);
    }
    /**
     * Get MailGonder value
     * @return bool|null
     */
    public function getMailGonder()
    {
        return $this->MailGonder;
    }
    /**
     * Set MailGonder value
     * @param bool $mailGonder
     * @return \StructType\WebDegisimTalepGuncelleRequest
     */
    public function setMailGonder($mailGonder = null)
    {
        // validation for constraint: boolean
        if (!is_null($mailGonder) && !is_bool($mailGonder)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($mailGonder, true), gettype($mailGonder)), __LINE__);
        }
        $this->MailGonder = $mailGonder;
        return $this;
    }
    /**
     * Get Talep value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DegisimTalepUpdate|null
     */
    public function getTalep()
    {
        return isset($this->Talep) ? $this->Talep : null;
    }
    /**
     * Set Talep value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\DegisimTalepUpdate $talep
     * @return \StructType\WebDegisimTalepGuncelleRequest
     */
    public function setTalep(\StructType\DegisimTalepUpdate $talep = null)
    {
        if (is_null($talep) || (is_array($talep) && empty($talep))) {
            unset($this->Talep);
        } else {
            $this->Talep = $talep;
        }
        return $this;
    }
    /**
     * Get UrunleriGuncelle value
     * @return bool|null
     */
    public function getUrunleriGuncelle()
    {
        return $this->UrunleriGuncelle;
    }
    /**
     * Set UrunleriGuncelle value
     * @param bool $urunleriGuncelle
     * @return \StructType\WebDegisimTalepGuncelleRequest
     */
    public function setUrunleriGuncelle($urunleriGuncelle = null)
    {
        // validation for constraint: boolean
        if (!is_null($urunleriGuncelle) && !is_bool($urunleriGuncelle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($urunleriGuncelle, true), gettype($urunleriGuncelle)), __LINE__);
        }
        $this->UrunleriGuncelle = $urunleriGuncelle;
        return $this;
    }
}
