<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebDegisimTalepUpdateResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:WebDegisimTalepUpdateResponse
 * @subpackage Structs
 */
class WebDegisimTalepUpdateResponse extends AbstractStructBase
{
    /**
     * The DegisimTalep
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DegisimTalep
     */
    public $DegisimTalep;
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ErrorMessage;
    /**
     * The IsError
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $IsError;
    /**
     * The Kod
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Kod;
    /**
     * Constructor method for WebDegisimTalepUpdateResponse
     * @uses WebDegisimTalepUpdateResponse::setDegisimTalep()
     * @uses WebDegisimTalepUpdateResponse::setErrorMessage()
     * @uses WebDegisimTalepUpdateResponse::setIsError()
     * @uses WebDegisimTalepUpdateResponse::setKod()
     * @param \StructType\DegisimTalep $degisimTalep
     * @param string $errorMessage
     * @param bool $isError
     * @param string $kod
     */
    public function __construct(\StructType\DegisimTalep $degisimTalep = null, $errorMessage = null, $isError = null, $kod = null)
    {
        $this
            ->setDegisimTalep($degisimTalep)
            ->setErrorMessage($errorMessage)
            ->setIsError($isError)
            ->setKod($kod);
    }
    /**
     * Get DegisimTalep value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DegisimTalep|null
     */
    public function getDegisimTalep()
    {
        return isset($this->DegisimTalep) ? $this->DegisimTalep : null;
    }
    /**
     * Set DegisimTalep value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\DegisimTalep $degisimTalep
     * @return \StructType\WebDegisimTalepUpdateResponse
     */
    public function setDegisimTalep(\StructType\DegisimTalep $degisimTalep = null)
    {
        if (is_null($degisimTalep) || (is_array($degisimTalep) && empty($degisimTalep))) {
            unset($this->DegisimTalep);
        } else {
            $this->DegisimTalep = $degisimTalep;
        }
        return $this;
    }
    /**
     * Get ErrorMessage value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getErrorMessage()
    {
        return isset($this->ErrorMessage) ? $this->ErrorMessage : null;
    }
    /**
     * Set ErrorMessage value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $errorMessage
     * @return \StructType\WebDegisimTalepUpdateResponse
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        if (is_null($errorMessage) || (is_array($errorMessage) && empty($errorMessage))) {
            unset($this->ErrorMessage);
        } else {
            $this->ErrorMessage = $errorMessage;
        }
        return $this;
    }
    /**
     * Get IsError value
     * @return bool|null
     */
    public function getIsError()
    {
        return $this->IsError;
    }
    /**
     * Set IsError value
     * @param bool $isError
     * @return \StructType\WebDegisimTalepUpdateResponse
     */
    public function setIsError($isError = null)
    {
        // validation for constraint: boolean
        if (!is_null($isError) && !is_bool($isError)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isError, true), gettype($isError)), __LINE__);
        }
        $this->IsError = $isError;
        return $this;
    }
    /**
     * Get Kod value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getKod()
    {
        return isset($this->Kod) ? $this->Kod : null;
    }
    /**
     * Set Kod value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $kod
     * @return \StructType\WebDegisimTalepUpdateResponse
     */
    public function setKod($kod = null)
    {
        // validation for constraint: string
        if (!is_null($kod) && !is_string($kod)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kod, true), gettype($kod)), __LINE__);
        }
        if (is_null($kod) || (is_array($kod) && empty($kod))) {
            unset($this->Kod);
        } else {
            $this->Kod = $kod;
        }
        return $this;
    }
}
