<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebFavoriUrunler StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:WebFavoriUrunler
 * @subpackage Structs
 */
class WebFavoriUrunler extends AbstractStructBase
{
    /**
     * The EklemeTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $EklemeTarihi;
    /**
     * The FavoriUrunID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $FavoriUrunID;
    /**
     * The ParaBirimi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ParaBirimi;
    /**
     * The ResimUrl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ResimUrl;
    /**
     * The StokKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $StokKodu;
    /**
     * The ToplamStokAdedi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $ToplamStokAdedi;
    /**
     * The UrunAdi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrunAdi;
    /**
     * The UrunFiyati
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $UrunFiyati;
    /**
     * The UrunFiyatiKdv
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $UrunFiyatiKdv;
    /**
     * The UrunKartiID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunKartiID;
    /**
     * The UrunSayisi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $UrunSayisi;
    /**
     * The UrunUrl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UrunUrl;
    /**
     * The UyeID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UyeID;
    /**
     * The VaryasyonSayisi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $VaryasyonSayisi;
    /**
     * Constructor method for WebFavoriUrunler
     * @uses WebFavoriUrunler::setEklemeTarihi()
     * @uses WebFavoriUrunler::setFavoriUrunID()
     * @uses WebFavoriUrunler::setParaBirimi()
     * @uses WebFavoriUrunler::setResimUrl()
     * @uses WebFavoriUrunler::setStokKodu()
     * @uses WebFavoriUrunler::setToplamStokAdedi()
     * @uses WebFavoriUrunler::setUrunAdi()
     * @uses WebFavoriUrunler::setUrunFiyati()
     * @uses WebFavoriUrunler::setUrunFiyatiKdv()
     * @uses WebFavoriUrunler::setUrunKartiID()
     * @uses WebFavoriUrunler::setUrunSayisi()
     * @uses WebFavoriUrunler::setUrunUrl()
     * @uses WebFavoriUrunler::setUyeID()
     * @uses WebFavoriUrunler::setVaryasyonSayisi()
     * @param string $eklemeTarihi
     * @param int $favoriUrunID
     * @param string $paraBirimi
     * @param string $resimUrl
     * @param string $stokKodu
     * @param float $toplamStokAdedi
     * @param string $urunAdi
     * @param float $urunFiyati
     * @param float $urunFiyatiKdv
     * @param int $urunKartiID
     * @param float $urunSayisi
     * @param string $urunUrl
     * @param int $uyeID
     * @param int $varyasyonSayisi
     */
    public function __construct($eklemeTarihi = null, $favoriUrunID = null, $paraBirimi = null, $resimUrl = null, $stokKodu = null, $toplamStokAdedi = null, $urunAdi = null, $urunFiyati = null, $urunFiyatiKdv = null, $urunKartiID = null, $urunSayisi = null, $urunUrl = null, $uyeID = null, $varyasyonSayisi = null)
    {
        $this
            ->setEklemeTarihi($eklemeTarihi)
            ->setFavoriUrunID($favoriUrunID)
            ->setParaBirimi($paraBirimi)
            ->setResimUrl($resimUrl)
            ->setStokKodu($stokKodu)
            ->setToplamStokAdedi($toplamStokAdedi)
            ->setUrunAdi($urunAdi)
            ->setUrunFiyati($urunFiyati)
            ->setUrunFiyatiKdv($urunFiyatiKdv)
            ->setUrunKartiID($urunKartiID)
            ->setUrunSayisi($urunSayisi)
            ->setUrunUrl($urunUrl)
            ->setUyeID($uyeID)
            ->setVaryasyonSayisi($varyasyonSayisi);
    }
    /**
     * Get EklemeTarihi value
     * @return string|null
     */
    public function getEklemeTarihi()
    {
        return $this->EklemeTarihi;
    }
    /**
     * Set EklemeTarihi value
     * @param string $eklemeTarihi
     * @return \StructType\WebFavoriUrunler
     */
    public function setEklemeTarihi($eklemeTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($eklemeTarihi) && !is_string($eklemeTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eklemeTarihi, true), gettype($eklemeTarihi)), __LINE__);
        }
        $this->EklemeTarihi = $eklemeTarihi;
        return $this;
    }
    /**
     * Get FavoriUrunID value
     * @return int|null
     */
    public function getFavoriUrunID()
    {
        return $this->FavoriUrunID;
    }
    /**
     * Set FavoriUrunID value
     * @param int $favoriUrunID
     * @return \StructType\WebFavoriUrunler
     */
    public function setFavoriUrunID($favoriUrunID = null)
    {
        // validation for constraint: int
        if (!is_null($favoriUrunID) && !(is_int($favoriUrunID) || ctype_digit($favoriUrunID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($favoriUrunID, true), gettype($favoriUrunID)), __LINE__);
        }
        $this->FavoriUrunID = $favoriUrunID;
        return $this;
    }
    /**
     * Get ParaBirimi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getParaBirimi()
    {
        return isset($this->ParaBirimi) ? $this->ParaBirimi : null;
    }
    /**
     * Set ParaBirimi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $paraBirimi
     * @return \StructType\WebFavoriUrunler
     */
    public function setParaBirimi($paraBirimi = null)
    {
        // validation for constraint: string
        if (!is_null($paraBirimi) && !is_string($paraBirimi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($paraBirimi, true), gettype($paraBirimi)), __LINE__);
        }
        if (is_null($paraBirimi) || (is_array($paraBirimi) && empty($paraBirimi))) {
            unset($this->ParaBirimi);
        } else {
            $this->ParaBirimi = $paraBirimi;
        }
        return $this;
    }
    /**
     * Get ResimUrl value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResimUrl()
    {
        return isset($this->ResimUrl) ? $this->ResimUrl : null;
    }
    /**
     * Set ResimUrl value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $resimUrl
     * @return \StructType\WebFavoriUrunler
     */
    public function setResimUrl($resimUrl = null)
    {
        // validation for constraint: string
        if (!is_null($resimUrl) && !is_string($resimUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($resimUrl, true), gettype($resimUrl)), __LINE__);
        }
        if (is_null($resimUrl) || (is_array($resimUrl) && empty($resimUrl))) {
            unset($this->ResimUrl);
        } else {
            $this->ResimUrl = $resimUrl;
        }
        return $this;
    }
    /**
     * Get StokKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getStokKodu()
    {
        return isset($this->StokKodu) ? $this->StokKodu : null;
    }
    /**
     * Set StokKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $stokKodu
     * @return \StructType\WebFavoriUrunler
     */
    public function setStokKodu($stokKodu = null)
    {
        // validation for constraint: string
        if (!is_null($stokKodu) && !is_string($stokKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($stokKodu, true), gettype($stokKodu)), __LINE__);
        }
        if (is_null($stokKodu) || (is_array($stokKodu) && empty($stokKodu))) {
            unset($this->StokKodu);
        } else {
            $this->StokKodu = $stokKodu;
        }
        return $this;
    }
    /**
     * Get ToplamStokAdedi value
     * @return float|null
     */
    public function getToplamStokAdedi()
    {
        return $this->ToplamStokAdedi;
    }
    /**
     * Set ToplamStokAdedi value
     * @param float $toplamStokAdedi
     * @return \StructType\WebFavoriUrunler
     */
    public function setToplamStokAdedi($toplamStokAdedi = null)
    {
        // validation for constraint: float
        if (!is_null($toplamStokAdedi) && !(is_float($toplamStokAdedi) || is_numeric($toplamStokAdedi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($toplamStokAdedi, true), gettype($toplamStokAdedi)), __LINE__);
        }
        $this->ToplamStokAdedi = $toplamStokAdedi;
        return $this;
    }
    /**
     * Get UrunAdi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrunAdi()
    {
        return isset($this->UrunAdi) ? $this->UrunAdi : null;
    }
    /**
     * Set UrunAdi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urunAdi
     * @return \StructType\WebFavoriUrunler
     */
    public function setUrunAdi($urunAdi = null)
    {
        // validation for constraint: string
        if (!is_null($urunAdi) && !is_string($urunAdi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urunAdi, true), gettype($urunAdi)), __LINE__);
        }
        if (is_null($urunAdi) || (is_array($urunAdi) && empty($urunAdi))) {
            unset($this->UrunAdi);
        } else {
            $this->UrunAdi = $urunAdi;
        }
        return $this;
    }
    /**
     * Get UrunFiyati value
     * @return float|null
     */
    public function getUrunFiyati()
    {
        return $this->UrunFiyati;
    }
    /**
     * Set UrunFiyati value
     * @param float $urunFiyati
     * @return \StructType\WebFavoriUrunler
     */
    public function setUrunFiyati($urunFiyati = null)
    {
        // validation for constraint: float
        if (!is_null($urunFiyati) && !(is_float($urunFiyati) || is_numeric($urunFiyati))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($urunFiyati, true), gettype($urunFiyati)), __LINE__);
        }
        $this->UrunFiyati = $urunFiyati;
        return $this;
    }
    /**
     * Get UrunFiyatiKdv value
     * @return float|null
     */
    public function getUrunFiyatiKdv()
    {
        return $this->UrunFiyatiKdv;
    }
    /**
     * Set UrunFiyatiKdv value
     * @param float $urunFiyatiKdv
     * @return \StructType\WebFavoriUrunler
     */
    public function setUrunFiyatiKdv($urunFiyatiKdv = null)
    {
        // validation for constraint: float
        if (!is_null($urunFiyatiKdv) && !(is_float($urunFiyatiKdv) || is_numeric($urunFiyatiKdv))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($urunFiyatiKdv, true), gettype($urunFiyatiKdv)), __LINE__);
        }
        $this->UrunFiyatiKdv = $urunFiyatiKdv;
        return $this;
    }
    /**
     * Get UrunKartiID value
     * @return int|null
     */
    public function getUrunKartiID()
    {
        return $this->UrunKartiID;
    }
    /**
     * Set UrunKartiID value
     * @param int $urunKartiID
     * @return \StructType\WebFavoriUrunler
     */
    public function setUrunKartiID($urunKartiID = null)
    {
        // validation for constraint: int
        if (!is_null($urunKartiID) && !(is_int($urunKartiID) || ctype_digit($urunKartiID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($urunKartiID, true), gettype($urunKartiID)), __LINE__);
        }
        $this->UrunKartiID = $urunKartiID;
        return $this;
    }
    /**
     * Get UrunSayisi value
     * @return float|null
     */
    public function getUrunSayisi()
    {
        return $this->UrunSayisi;
    }
    /**
     * Set UrunSayisi value
     * @param float $urunSayisi
     * @return \StructType\WebFavoriUrunler
     */
    public function setUrunSayisi($urunSayisi = null)
    {
        // validation for constraint: float
        if (!is_null($urunSayisi) && !(is_float($urunSayisi) || is_numeric($urunSayisi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($urunSayisi, true), gettype($urunSayisi)), __LINE__);
        }
        $this->UrunSayisi = $urunSayisi;
        return $this;
    }
    /**
     * Get UrunUrl value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUrunUrl()
    {
        return isset($this->UrunUrl) ? $this->UrunUrl : null;
    }
    /**
     * Set UrunUrl value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $urunUrl
     * @return \StructType\WebFavoriUrunler
     */
    public function setUrunUrl($urunUrl = null)
    {
        // validation for constraint: string
        if (!is_null($urunUrl) && !is_string($urunUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($urunUrl, true), gettype($urunUrl)), __LINE__);
        }
        if (is_null($urunUrl) || (is_array($urunUrl) && empty($urunUrl))) {
            unset($this->UrunUrl);
        } else {
            $this->UrunUrl = $urunUrl;
        }
        return $this;
    }
    /**
     * Get UyeID value
     * @return int|null
     */
    public function getUyeID()
    {
        return $this->UyeID;
    }
    /**
     * Set UyeID value
     * @param int $uyeID
     * @return \StructType\WebFavoriUrunler
     */
    public function setUyeID($uyeID = null)
    {
        // validation for constraint: int
        if (!is_null($uyeID) && !(is_int($uyeID) || ctype_digit($uyeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeID, true), gettype($uyeID)), __LINE__);
        }
        $this->UyeID = $uyeID;
        return $this;
    }
    /**
     * Get VaryasyonSayisi value
     * @return int|null
     */
    public function getVaryasyonSayisi()
    {
        return $this->VaryasyonSayisi;
    }
    /**
     * Set VaryasyonSayisi value
     * @param int $varyasyonSayisi
     * @return \StructType\WebFavoriUrunler
     */
    public function setVaryasyonSayisi($varyasyonSayisi = null)
    {
        // validation for constraint: int
        if (!is_null($varyasyonSayisi) && !(is_int($varyasyonSayisi) || ctype_digit($varyasyonSayisi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($varyasyonSayisi, true), gettype($varyasyonSayisi)), __LINE__);
        }
        $this->VaryasyonSayisi = $varyasyonSayisi;
        return $this;
    }
}
