<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebIadeTalepUpdateResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:WebIadeTalepUpdateResponse
 * @subpackage Structs
 */
class WebIadeTalepUpdateResponse extends AbstractStructBase
{
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ErrorMessage;
    /**
     * The IadeKargoKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $IadeKargoKodu;
    /**
     * The IadeTalep
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\IadeTalep
     */
    public $IadeTalep;
    /**
     * The IsError
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $IsError;
    /**
     * The OdemeDurum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $OdemeDurum;
    /**
     * The OdemeHataMesaj
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OdemeHataMesaj;
    /**
     * Constructor method for WebIadeTalepUpdateResponse
     * @uses WebIadeTalepUpdateResponse::setErrorMessage()
     * @uses WebIadeTalepUpdateResponse::setIadeKargoKodu()
     * @uses WebIadeTalepUpdateResponse::setIadeTalep()
     * @uses WebIadeTalepUpdateResponse::setIsError()
     * @uses WebIadeTalepUpdateResponse::setOdemeDurum()
     * @uses WebIadeTalepUpdateResponse::setOdemeHataMesaj()
     * @param string $errorMessage
     * @param string $iadeKargoKodu
     * @param \StructType\IadeTalep $iadeTalep
     * @param bool $isError
     * @param string $odemeDurum
     * @param string $odemeHataMesaj
     */
    public function __construct($errorMessage = null, $iadeKargoKodu = null, \StructType\IadeTalep $iadeTalep = null, $isError = null, $odemeDurum = null, $odemeHataMesaj = null)
    {
        $this
            ->setErrorMessage($errorMessage)
            ->setIadeKargoKodu($iadeKargoKodu)
            ->setIadeTalep($iadeTalep)
            ->setIsError($isError)
            ->setOdemeDurum($odemeDurum)
            ->setOdemeHataMesaj($odemeHataMesaj);
    }
    /**
     * Get ErrorMessage value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getErrorMessage()
    {
        return isset($this->ErrorMessage) ? $this->ErrorMessage : null;
    }
    /**
     * Set ErrorMessage value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $errorMessage
     * @return \StructType\WebIadeTalepUpdateResponse
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        if (is_null($errorMessage) || (is_array($errorMessage) && empty($errorMessage))) {
            unset($this->ErrorMessage);
        } else {
            $this->ErrorMessage = $errorMessage;
        }
        return $this;
    }
    /**
     * Get IadeKargoKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIadeKargoKodu()
    {
        return isset($this->IadeKargoKodu) ? $this->IadeKargoKodu : null;
    }
    /**
     * Set IadeKargoKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $iadeKargoKodu
     * @return \StructType\WebIadeTalepUpdateResponse
     */
    public function setIadeKargoKodu($iadeKargoKodu = null)
    {
        // validation for constraint: string
        if (!is_null($iadeKargoKodu) && !is_string($iadeKargoKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iadeKargoKodu, true), gettype($iadeKargoKodu)), __LINE__);
        }
        if (is_null($iadeKargoKodu) || (is_array($iadeKargoKodu) && empty($iadeKargoKodu))) {
            unset($this->IadeKargoKodu);
        } else {
            $this->IadeKargoKodu = $iadeKargoKodu;
        }
        return $this;
    }
    /**
     * Get IadeTalep value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\IadeTalep|null
     */
    public function getIadeTalep()
    {
        return isset($this->IadeTalep) ? $this->IadeTalep : null;
    }
    /**
     * Set IadeTalep value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\IadeTalep $iadeTalep
     * @return \StructType\WebIadeTalepUpdateResponse
     */
    public function setIadeTalep(\StructType\IadeTalep $iadeTalep = null)
    {
        if (is_null($iadeTalep) || (is_array($iadeTalep) && empty($iadeTalep))) {
            unset($this->IadeTalep);
        } else {
            $this->IadeTalep = $iadeTalep;
        }
        return $this;
    }
    /**
     * Get IsError value
     * @return bool|null
     */
    public function getIsError()
    {
        return $this->IsError;
    }
    /**
     * Set IsError value
     * @param bool $isError
     * @return \StructType\WebIadeTalepUpdateResponse
     */
    public function setIsError($isError = null)
    {
        // validation for constraint: boolean
        if (!is_null($isError) && !is_bool($isError)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isError, true), gettype($isError)), __LINE__);
        }
        $this->IsError = $isError;
        return $this;
    }
    /**
     * Get OdemeDurum value
     * @return string|null
     */
    public function getOdemeDurum()
    {
        return $this->OdemeDurum;
    }
    /**
     * Set OdemeDurum value
     * @uses \EnumType\BLEnums_OdemeDurumlari::valueIsValid()
     * @uses \EnumType\BLEnums_OdemeDurumlari::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $odemeDurum
     * @return \StructType\WebIadeTalepUpdateResponse
     */
    public function setOdemeDurum($odemeDurum = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\BLEnums_OdemeDurumlari::valueIsValid($odemeDurum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\BLEnums_OdemeDurumlari', is_array($odemeDurum) ? implode(', ', $odemeDurum) : var_export($odemeDurum, true), implode(', ', \EnumType\BLEnums_OdemeDurumlari::getValidValues())), __LINE__);
        }
        $this->OdemeDurum = $odemeDurum;
        return $this;
    }
    /**
     * Get OdemeHataMesaj value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOdemeHataMesaj()
    {
        return isset($this->OdemeHataMesaj) ? $this->OdemeHataMesaj : null;
    }
    /**
     * Set OdemeHataMesaj value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $odemeHataMesaj
     * @return \StructType\WebIadeTalepUpdateResponse
     */
    public function setOdemeHataMesaj($odemeHataMesaj = null)
    {
        // validation for constraint: string
        if (!is_null($odemeHataMesaj) && !is_string($odemeHataMesaj)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($odemeHataMesaj, true), gettype($odemeHataMesaj)), __LINE__);
        }
        if (is_null($odemeHataMesaj) || (is_array($odemeHataMesaj) && empty($odemeHataMesaj))) {
            unset($this->OdemeHataMesaj);
        } else {
            $this->OdemeHataMesaj = $odemeHataMesaj;
        }
        return $this;
    }
}
